<?php
session_start();
include('config.php');
include($rutaPhp.$rutaHtml.'/maqueta/includes.php');

include($rutaPhp.$rutaHtml.'/acceso/control.php');
include($rutaPhp.$rutaHtml.'/maqueta/arriba.php');

include($rutaPhp.$rutaHtml.'/librerias/teclado.php');
include($rutaPhp.$rutaHtml.'/librerias/calendario.php');


//19-12-2025 borrar los datos temporales de la pantalla de cierre, por los saltos en los fichajes
unset($_SESSION['operacion']['datosPantalla']);


//TRADUCCION COMPORTAMIENTOS
$traductorComportamientos=array('REGE'=>'ProductoRegimen','LT'=>'ProductoLote','FCAD'=>'ProductoCaducidad','IDI'=>'ProductoIdioma','PRECEMP'=>'ProductoPrecinta');
$traductorComportamientosProductoGestion=array('REGE'=>'ProductoGestionRegimen','LT'=>'ProductoGestionLote','FCAD'=>'ProductoGestionCaducidad','IDI'=>'ProductoGestionIdioma','NS'=>'ProductoGestionNumeroSerie');

$gestionLineas=($_SESSION['parametrosSGA']['GestionLineasTrabajo']=='S');
$gestionTurnos=($_SESSION['parametrosSGA']['GestionTurnosTrabajo']=='S');
$FichajesActivodEnTransformacion=($_SESSION['parametrosSGA']['FichajesActivodEnTransformacion']=='S');

if($_GET['scroll']) $scroll=$_GET['scroll'];



if($_GET['operacion']) $operacion=$_GET['operacion']; else $operacion=$_SESSION['operacion']['NumOperacion'];
if($_GET['empresa']) $empresa=$_GET['empresa']; else $empresa=$_SESSION['operacion']['Empresa'];

if($_GET['codigo']) $codigo=$_GET['codigo']; else $codigo=$_SESSION['operacion']['ProductoObtener']['ProductoCodigo'];
if($_GET['descripcion']) $descripcion=$_GET['descripcion']; else $descripcion=$_SESSION['operacion']['ProductoObtener']['ProductoDescripcion'];

if($_GET['lote']) $lote=$_GET['lote']; else $lote=$_SESSION['operacion']['ProductoObtener']['ProductoLote'];
if($_GET['idioma']) $idioma=$_GET['idioma']; else $idioma=$_SESSION['operacion']['ProductoObtener']['ProductoIdioma'];
if($_GET['precinta']) $precinta=$_GET['precinta']; else $precinta=$_SESSION['operacion']['ProductoObtener']['ProductoPrecinta'];
if($_GET['caducidad']) $caducidad=$_GET['caducidad']; else $caducidad=$_SESSION['operacion']['ProductoObtener']['ProductoCaducidad'];

//29-6-2023 quito los guiones, porque se arrastran hacia adelante y cuando se transforma, los datos que se quedan grabado sen pendiente cambian y no se carga lo mismo
if($lote=='-') $lote='';
if($idioma=='-') $idioma='';
if($precinta=='-') $precinta='';
if($caducidad=='-') $caducidad='';


if($_GET['lineaTrabajo']) {
	$_SESSION['transformacion_lineaTrabajo_seleccionada']=$_GET['lineaTrabajo'];
	$_SESSION['transformacion_lineaTrabajo_seleccionada_nombre']=$_GET['lineaTrabajoNombre'];
}

if($_GET['turnoTrabajo']) {
	$_SESSION['transformacion_turnoTrabajo_seleccionado']=$_GET['turnoTrabajo'];
	$_SESSION['transformacion_turnoTrabajo_seleccionado_nombre']=$_GET['turnoTrabajoNombre'];
}



$arrayOperaciones=unserialize(OPERACIONES);
$controlFichajes=($_SESSION['parametrosSGA']['Fichaje'.$arrayOperaciones[$_SESSION['accion']]]=='S'); //18-12-2025 ATENCION!!!! Este formato de fichajes NO SE USA en las transformaciones de SERMASA. Se ha heredado de las operaciones logisticas generacias


if($_POST['botonAsociarTrabajadores']) {

	$trabajadores='';

	foreach($_POST as $campo=>$valor) {
		if(substr($campo,0,22)=='seleccionarTrabajador-') {
			$trabajador=substr($campo,22,strlen($campo));
			$trabajadores.=$trabajador.';';
		}
	}
	
	$trabajadores=substr($trabajadores,0,-1);

	$peticion='SGAFichajesAsociarTrabajador#'.$_SESSION['empresa'].'#'.strtoupper($_SESSION['accion']).'#'.$operacion.'#'.$trabajadores;
	$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);

	if($_GET['traza']=='si') {
		echo "<p>".$peticion."</p>";
		print_r($resultado);
	}
	
}
else if( $_POST['accion'] ) {

	

}



//DETALLE DE LA OPERACION DE TRANSFORMACION

//SGAOperacionesLog#PXPP#ADM#DETALLEOPERACION#TL220001;ProductoObtener;idioma;precinta;lote;caducidad

$parametrosPeticion=$operacion.';'.$codigo.';'.$idioma.';'.$precinta.';'.$lote.';'.$caducidad.';'.$_SESSION['transformacion_lineaTrabajo_seleccionada'].';'.$_SESSION['transformacion_turnoTrabajo_seleccionado'];

$peticion='SGAOperacionesLog#'.$empresa.'#'.$_SESSION['usuario']['Usuario'].'#DETALLEOPERACION#'.$parametrosPeticion;
$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);

if($_GET['traza']=='si') {
	echo "<p>".$peticion."</p>";
	print_r($resultado);
}

if(!$resultado[0]['Error']) {

	$_SESSION['operacion']=$resultado[0];
	
	$bloqueoProxium=$_SESSION['operacion']['BloqueoProxium'];
	
	$procedenciaPicking=($_SESSION['operacion']['ProcedenciaPicking']=='S');
	
	$estadoIniciada=($_SESSION['operacion']['Estado']=='Iniciada');
	
	$mostrarGestion=($_SESSION['operacion']['GestionTransformacionPUBPRI']=='S');
	
	$_SESSION['operacion']['OrdenesPicking']=$resultado[0]['OrdenesPicking']['PXMobileProxiumResult'];
	$_SESSION['operacion']['ProductoObtener']=$resultado[0]['ProductosObtener']['PXMobileProxiumResult'];
	
	//echo '<p>PRODUCTO A OBTENER:</p>';
	//print_r($_SESSION['operacion']['ProductoObtener']);
	
	
	$autoControlesCalidad=arreglaArrayPXMobileProxiumResult($_SESSION['operacion']['AutoControles']);
	
	$autoControlesCalidadProgramados=($_SESSION['parametrosSGA']['GestionAutocontrolesCalidad']=='S' && $_SESSION['operacion']['ProximoAutoControlCalidad'] && $_SESSION['operacion']['EstadoProduccion']!='Pendiente' );
	
	//30-06-2023 controlamos que si hay más de un producto a obtener, es porque ya se ha completado todo y aparecen
	//diferentes productos (por ej con diferente lote) pero en realidad debería ser el mismo
	//creamos los datos de cabecera (codigo y descripcion) y las cantidades con las sumas de todos ellos
	
	if(is_array($_SESSION['operacion']['ProductoObtener']) && key($_SESSION['operacion']['ProductoObtener'])!='0') $cuantosProductoObtener=1;
	else {
		if(is_array($_SESSION['operacion']['ProductoObtener'])) $cuantosProductoObtener=count($_SESSION['operacion']['ProductoObtener']);
		else $cuantosProductoObtener=0;
	}
	
	//03-08-2023 TICKET 23053390
    $asociarSSCC=($_SESSION['parametrosSGA']['AsociarSSCC']=='S' && $_SESSION['operacion']['ClienteAsociarSSCC']=='S');
	
	if($cuantosProductoObtener>1) {
	
		/*
		$_SESSION['operacion']['ProductoObtener']['ProductoCantidadLanzada']=0;
		$_SESSION['operacion']['ProductoObtener']['ProductoCantidadCerrada']=0;
		$_SESSION['operacion']['ProductoObtener']['ProductoCantidadPendiente']=0;
		
		$_SESSION['operacion']['ProductoObtener']['ProductoCodigo']=$_SESSION['operacion']['ProductoObtener'][0]['ProductoCodigo'];
		$_SESSION['operacion']['ProductoObtener']['ProductoDescripcion']=$_SESSION['operacion']['ProductoObtener'][0]['ProductoDescripcion'];
		
		foreach($_SESSION['operacion']['ProductoObtener'] as $item) {
			$_SESSION['operacion']['ProductoObtener']['ProductoCantidadLanzada']+=$item['ProductoCantidadLanzada'];
			$_SESSION['operacion']['ProductoObtener']['ProductoCantidadCerrada']+=$item['ProductoCantidadCerrada'];
			$_SESSION['operacion']['ProductoObtener']['ProductoCantidadPendiente']+=$item['ProductoCantidadPendiente'];
		}
		*/
		
		//08-08-2023 Corrección TICKET 23053489
		$productoObtenerTemp=$_SESSION['operacion']['ProductoObtener'][0]; //ASi coge el codigo la descripcion y todos los comportamientos.
		
		$productoObtenerTemp['ProductoCantidadLanzada']=0;
		$productoObtenerTemp['ProductoCantidadCerrada']=0;
		$productoObtenerTemp['ProductoCantidadPendiente']=0;
		
		foreach($_SESSION['operacion']['ProductoObtener'] as $item) {
			$productoObtenerTemp['ProductoCantidadLanzada']+=$item['ProductoCantidadLanzada'];
			$productoObtenerTemp['ProductoCantidadCerrada']+=$item['ProductoCantidadCerrada'];
			$productoObtenerTemp['ProductoCantidadPendiente']+=$item['ProductoCantidadPendiente'];
		}
		
		$_SESSION['operacion']['ProductoObtener']=$productoObtenerTemp;
		
		
		
	}
	
	//6-11-2024 TIKCET 24062423 - Está dando problemas que los productos regimen DF no tienen nivel de calidad definido
	//print_r($_SESSION['operacion']['ProductoObtener']);
	if($_SESSION['operacion']['ProductoObtener']['ProductoRegimen']=='DF') $autoControlesCalidadProgramados=false;
	
	
	
	//2026-02-25
	if(isset($resultado[0]['ProductosObtenidos'])) {

		$_SESSION['operacion']['ProductosObtenidos']=arreglaArrayPXMobileProxiumResult($resultado[0]['ProductosObtenidos']);
		
	}
	else {

		$_SESSION['operacion']['ProductosObtenidos']=array();

		$itemsPorPagina=100;
		$pagina=0;
		$cantidadObtenidos=0;
		$errorObtenidos=false;
		
		//$maximaPagina=10;
		
		//while($cantidadObtenidos<=$itemsPorPagina && !$errorObtenidos && $pagina<=$maximaPagina) {
		//while($cantidadObtenidos<=$itemsPorPagina && !$errorObtenidos) {
		
			$pagina++;

			//$peticionObtenidos='SGAOperacionesLog#'.$empresa.'#'.$_SESSION['usuario']['Usuario'].'#DETALLEOPERACIONPRODOBTENIDOS#'.$parametrosPeticion.';'.$itemsPorPagina.';'.$pagina;
			$peticionObtenidos='SGAOperacionesLog#'.$empresa.'#'.$_SESSION['usuario']['Usuario'].'#DETALLEOPERACIONPRODOBTENIDOS#'.$parametrosPeticion;
			$resultadoObtenidos=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticionObtenidos);
			
			if($_GET['traza']=='si') {
				echo "<p>".$peticionObtenidos."</p>";
				print_r($resultadoObtenidos);
			}
			
			if(!$resultadoObtenidos[0]['Error']) {
				$tempObtenidos=arreglaArrayPXMobileProxiumResult($resultadoObtenidos[0]['ProductosObtenidos']);
				$cantidadObtenidos=0;
				foreach($tempObtenidos as $itemObtenidos) {
					$_SESSION['operacion']['ProductosObtenidos'][]=$itemObtenidos;
					$cantidadObtenidos++;
				}
			}
			else $errorObtenidos=true;
			
			//echo '<p>cantidadObtenidos: '.$cantidadObtenidos.'</p>';
			
		//}
	
	}
	
	
	$_SESSION['operacion']['ProductosUtilizar']=arreglaArrayPXMobileProxiumResult($resultado[0]['ProductosUtilizar']);
	$_SESSION['operacion']['PaletsPtesActivar']=arreglaArrayPXMobileProxiumResult($resultado[0]['PaletsPtesActivar']);
	$_SESSION['operacion']['PaletsActivos']=arreglaArrayPXMobileProxiumResult($resultado[0]['PaletsActivos']);
	
	//29-12-2022
	$_SESSION['operacion']['ProductosDefectuosos']=arreglaArrayPXMobileProxiumResult($resultado[0]['ProductosDefectuosos']);
	
	

	//27-06-2023 Limpiezas
	foreach($resultado[0]['Limpieza']['PXMobileProxiumResult'] as $item) {
		//print_r($item);
		//echo '<hr>';
		if($item['CLinOrdinal']=='INICIO') $_SESSION['operacion']['Limpiezas']['INICIO']=$item;
		else if($item['CLinOrdinal']=='FIN') $_SESSION['operacion']['Limpiezas']['FIN']=$item;
		
		$cantidadProductosParaControlarLimpiezaFinalizacion=0;
	}
	
	/*
	echo '<hr>';
	echo '<p>fin: '.$_SESSION['operacion']['Limpiezas']['FIN'].'</p>';
	echo '<p>fin fecha: '.$_SESSION['operacion']['Limpiezas']['FIN']['CLinFecha'].'</p>';
	echo '<p>cantidad: '.$_SESSION['operacion']['ProductoObtener']['ProductoCantidadPendiente'].'</p>';
	echo '<p>cantidadProductosParaControlarLimpiezaFinalizacion: '.$cantidadProductosParaControlarLimpiezaFinalizacion.'</p>';
	*/
	
	////// CONTROLES POR EL ERROR DE QUE NO SE MUESTRA EL PRODUCTO A OBTENER, PORQUE TRAS COMPLETAR LA ORDEN, EL PRODUCTO A OBTENER SE HA CAMBIADO
	////// Y AHORA ES UN ARRAY CON VARIOS, EL MISMO PRODUCTO, PERO PUEDEN SER VARIOS LOTES ETC
	
	if(!$_SESSION['operacion']['ProductoObtener']['ProductoCantidadPendiente']) $_SESSION['operacion']['ProductoObtener']['ProductoCantidadPendiente']=0;
	
	
	//13-12-2023 Cambiamos las condiciones de hacer limpieza inicio y fin, porque antes era fijo por transf
	// y ahora va por procesos
	
	if($_SESSION['operacion']['EstadoProduccion']=='Pendiente') {
	
		$desactivarPlay=true;
		$desactivarActivarPalet=true;
		$desactivarDesactivarPalet=true;
		//$desactivarStop=true;
		
		if( !(int)$_SESSION['operacion']['ProductoObtener']['ProductoCantidadPendiente'] ) {
		
			$desactivaProceso=true;
			$playPasaPorLimpiezaInicio=false;
			
		}
		else {
		
			$desactivaProceso=false;
			$playPasaPorLimpiezaInicio=true;
			
		}
	}
	else if ( $_SESSION['operacion']['EstadoProduccion']=='Iniciado' && (int)$_SESSION['operacion']['ProductoObtener']['ProductoCantidadPendiente']<=$cantidadProductosParaControlarLimpiezaFinalizacion ) {
		
		//echo '<p>EstadoProduccion: '.$_SESSION['operacion']['EstadoProduccion'].'</p>';
		//echo '<p>ProductoCantidadPendiente: '.$_SESSION['operacion']['ProductoObtener']['ProductoCantidadPendiente'].'</p>';
		//echo '<p>cantidadProductosParaControlarLimpiezaFinalizacion: '.$cantidadProductosParaControlarLimpiezaFinalizacion.'</p>';
		
		$playPasaPorLimpiezaFinalizacion=true;
		
		$desactivarActivarPalet=true;
		$desactivarDesactivarPalet=true;
	}
	else {
	
		//$desactivarPlay=true;
		//$desactivarActivarPalet=true;
		//$desactivarDesactivarPalet=true;
	
	}
	
	
	/*
	if($_SESSION['operacion']['Limpiezas']['INICIO'] && !$_SESSION['operacion']['Limpiezas']['INICIO']['CLinFecha']) {
		$playPasaPorLimpiezaInicio=true;
	}
	else if($_SESSION['operacion']['Limpiezas']['FIN'] && !$_SESSION['operacion']['Limpiezas']['FIN']['CLinFecha'] && (int)$_SESSION['operacion']['ProductoObtener']['ProductoCantidadPendiente']<=$cantidadProductosParaControlarLimpiezaFinalizacion ) {
		$playPasaPorLimpiezaFinalizacion=true;
		
		$desactivarActivarPalet=true;
		$desactivarDesactivarPalet=true;
	}
	else if($_SESSION['operacion']['Limpiezas']['FIN'] && $_SESSION['operacion']['Limpiezas']['FIN']['CLinFecha']) {
		$desactivarPlay=true;
		$desactivarActivarPalet=true;
		$desactivarDesactivarPalet=true;
	}
	*/
	
	
	
	
	$soloquedaPendienteInspeccionCalidad=false;
	$estaTodoInspeccionadoPorCalidad=true;
	
	if($_SESSION['operacion']['Limpiezas']['INICIO'] && $_SESSION['operacion']['Limpiezas']['INICIO']['CLinFecha'] && !$_SESSION['operacion']['Limpiezas']['INICIO']['CCalFecha']) $estaTodoInspeccionadoPorCalidad=false;
	if($_SESSION['operacion']['Limpiezas']['FIN'] && $_SESSION['operacion']['Limpiezas']['INICIO']['FIN']['CLinFecha'] && !$_SESSION['operacion']['Limpiezas']['FIN']['CCalFecha']) $estaTodoInspeccionadoPorCalidad=false;
	
	foreach($autoControlesCalidad as $item) if(!$item['CCalFecha']) $estaTodoInspeccionadoPorCalidad=false;
	
	if( !$_SESSION['operacion']['ProductoObtener']['ProductoCantidadPendiente'] && !$estaTodoInspeccionadoPorCalidad) $soloquedaPendienteInspeccionCalidad=true;
	
	/*
	if( !$_SESSION['operacion']['ProductoObtener']['ProductoCantidadPendiente'] &&
		(
			(
			$_SESSION['operacion']['Limpiezas']['INICIO'] && $_SESSION['operacion']['Limpiezas']['FIN'] &&
				$_SESSION['operacion']['Limpiezas']['INICIO']['CLinFecha'] &&
				$_SESSION['operacion']['Limpiezas']['FIN']['CLinFecha'] &&
				(!$_SESSION['operacion']['Limpiezas']['INICIO']['CCalFecha'] || !$_SESSION['operacion']['Limpiezas']['FIN']['CCalFecha'])
			)
			||
			(
			$_SESSION['operacion']['Limpiezas']['INICIO'] && !$_SESSION['operacion']['Limpiezas']['FIN'] &&
				$_SESSION['operacion']['Limpiezas']['INICIO']['CLinFecha'] &&
				!$_SESSION['operacion']['Limpiezas']['INICIO']['CCalFecha']
			)
			||
			(
			!$_SESSION['operacion']['Limpiezas']['INICIO'] && $_SESSION['operacion']['Limpiezas']['FIN'] &&
				$_SESSION['operacion']['Limpiezas']['FIN']['CLinFecha'] &&
				!$_SESSION['operacion']['Limpiezas']['FIN']['CCalFecha']
			)
		)
	) $soloquedaPendienteInspeccionCalidad=true;
	*

	/*
	//print_r($_SESSION['operacion']['Limpiezas']);
	//echo '<br>';
	echo '<p>playPasaPorLimpiezaInicio: '.$playPasaPorLimpiezaInicio.'</p>';
	echo '<p>ProductoCantidadPendiente: '.$_SESSION['operacion']['ProductoObtener']['ProductoCantidadPendiente'].'</p>';
	echo '<p>cantidadProductosParaControlarLimpiezaFinalizacion: '.$cantidadProductosParaControlarLimpiezaFinalizacion.'</p>';
	echo '<p>playPasaPorLimpiezaFinalizacion: '.$playPasaPorLimpiezaFinalizacion.'</p>';
	echo '<p>soloquedaPendienteInspeccionCalidad: '.$soloquedaPendienteInspeccionCalidad.'</p>';
	*/

	
	//CONTROL DE FICHAJES //18-12-2025
	
	if($FichajesActivodEnTransformacion) {
	
		$peticion='ListaDeOperariosFichajes#'.$_SESSION['empresa'];
		$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);
			
		if($traza) {
			echo "<p>".$peticion."</p>";
			print_r($resultado);
		}
		
		$operarios=arreglaArrayPXMobileProxiumResult($resultado[0]['ListaOperarios']);
		
		$listaFichajesOrden=array();
		$listaFichajesOrdenCodificada='';
		
		//echo '<p>gestionLineas: '.$gestionLineas.'</p>';
		//echo '<p>gestionTurnos: '.$gestionTurnos.'</p>';
		//echo '<p>transformacion_lineaTrabajo_seleccionada: '.$_SESSION['transformacion_lineaTrabajo_seleccionada'].'</p>';
		//echo '<p>transformacion_turnoTrabajo_seleccionado: '.$_SESSION['transformacion_turnoTrabajo_seleccionado'].'</p>';
		
		if(count($operarios)>0) {
		
			foreach($operarios as $operario) {
			
				
			
				if(isset($operario['ListaFichajes']) && $operario['ListaFichajes'] ) {
				
					$listaFichajes=arreglaArrayPXMobileProxiumResult($operario['ListaFichajes']);
					
					foreach($listaFichajes as $fichaje) {
					
						
						
						if( $fichaje['ActividadFichaje']=='PROD' && $fichaje['TipoOperacionFichaje']=='TRAN' && $fichaje['numeroOperacion']==$_SESSION['operacion']['NumOperacion'] ) {
						
							//print_r($operario);
							//echo '<hr>';
							//echo '<p>ActividadFichaje: '.$fichaje['ActividadFichaje'].'</p>';
							//echo '<p>TipoOperacionFichaje: '.$fichaje['TipoOperacionFichaje'].'</p>';
							//echo '<p>numeroOperacion: '.$fichaje['numeroOperacion'].'</p>';
							//echo '<p>LineaFichaje: '.$fichaje['LineaFichaje'].'</p>';
							//echo '<p>TurnoFichaje: '.$fichaje['TurnoFichaje'].'</p>';
						
							if( (($gestionLineas && $fichaje['LineaFichaje']==$_SESSION['transformacion_lineaTrabajo_seleccionada']) || !$gestionLineas )
							   && (($gestionTurnos && $fichaje['TurnoFichaje']==$_SESSION['transformacion_turnoTrabajo_seleccionado']) || !$gestionTurnos ) ) {

								$item=array(
									'FechaInicioFichaje'=>$fichaje['FechaInicioFichaje'],
									'HoraInicioFichaje'=>$fichaje['HoraInicioFichaje'],
									'NombreCompleto'=>$operario['NombreCompleto'],
									'NombreEmpresaContratante'=>$operario['NombreEmpresaContratante']
								);
								
								$listaFichajesOrden[]=$item;
							
							}
							
						}
						
						//echo '<p>Lista fichajes:</p>';
						//print_r($listaFichajesOrden);
						//echo '<hr>';
					
					}
				
				}
			
			}
			
			$listaFichajesOrdenCodificada=base64_encode(json_encode($listaFichajesOrden));
			
			$hayFichajesEnCurso=(count($listaFichajesOrden)>0);
			
			//echo '<p>hayFichajesEnCurso: '.$hayFichajesEnCurso.'</p>';
		
		}
		
	} //Fin if FichajesActivodEnTransformacion
	
	
	
	//CONTROL DE FICHAJES //18-12-2025 ESTE NO SE USA!!!!
	
	$trabajadores=arreglaArrayPXMobileProxiumResult($_SESSION['operacion']['Trabajadores']);
	
	if($controlFichajes) {
	
		$hayTrabajadores=false;
		$unSoloTrabajador=false;
		$fichajesIniciados=false;
			
		if(is_array($trabajadores) && count($trabajadores)>0) {
			
			//echo '<p>Trabajadores:</p>';
			//print_r($trabajadores);
			
			$hayTrabajadores=true;
				
			if(is_array($trabajadores) && count($trabajadores)==1) $unSoloTrabajador=true;
				
			foreach($trabajadores as $trabajador) {
				
				$otrasOrdenes=arreglaArrayPXMobileProxiumResult($trabajador['OtrasOrdenes']);
				foreach($otrasOrdenes as $otraOrden) if($otraOrden['FichajeIniciado']=='S') { $fichajesIniciados=true; }
			}
			
		}
	
	}
	else $hayTrabajadores=true;
	
	?>
	
    <form id="formularioTrabajadores" name="formularioTrabajadores" method="post" action="">
        
      <div id="popupTrabajadores" class="popup" style="display:none;overflow:scroll">
        <div class="popupContenidoScroll">
          <div id="popupTrabajadoresDetalle"></div>
        </div>
	  </div>
	
	</form>
	
	<h2 style="margin:40px">Operación de transformación Nº <?php echo $_SESSION['operacion']['NumOperacion']; ?> <img src="<?php echo DIR_IMAGENES; ?>/botones/reresh.png" alt="Refrescar" class="refrescar"/></h2>
    
    
    <div id="popupCierrePalet" class="popup" style="display:none">
	<div id="popupCierrePaletDetalle" class="popupContenido">
            
            <p style="margin-bottom:3px"><strong>Cierre de palet</strong></p>
            <h1 id="numPaletCierreEtiqueta" style="margin:0"></h1>
            
            <input type="hidden" name="popupCerrarPaletNumpalet" id="popupCerrarPaletNumpalet" value="" />
            
            <?php if($asociarSSCC) { ?>
            
			<p style="margin-bottom:0">SSCC</p/>
            <table>
            	<tr>
                   <td><div class="campoOrdenPreparacionBloque" style="width:410px;margin-left:70px;"> <img src="<?php echo DIR_IMAGENES; ?>/teclado.png" alt="Mostrar teclado" class="iconoTeclado" id="tecladoSSCC" />
                           <input name="SSCC" type="text" class="campo campoOrdenPreparacion" id="SSCC" autocomplete="off" style="width:350px;left:0" value="<?php echo $lineaPalet['SSCC']; ?>"/>
                     <img src="<?php echo DIR_IMAGENES; ?>/x.png" alt="Borrar" id="borrarSSCC" class="boton-x campoOrdenPreparacionBorrar"/></div></td>
                 </tr>
             </table>
			
			<?php } ?>
            
            <table style="margin:0 auto">
            	<tr>
                	<td>
                        <p>Fecha:<br />
                        <input name="cierrePaletFecha" id="cierrePaletFecha" type="text" class="campo" style="width:200px"/>
                        </p>
                    </td>
                    <td>
                        <p>Hora:<br />
                        <input name="cierrePaletHora" id="cierrePaletHora" type="text" class="campo" style="width:100px"/>
                        </p>
                    </td>
                </tr>
            </table>
            
			<?php if($gestionLineas) { ?>
            
            	<p style="margin-top:0">Línea de Trabajo:<br />
                  <select name="popupCerrarPaletLineaTrabajo" id="popupCerrarPaletLineaTrabajo" class="campo">
                    <option value="" selected>Seleccionar...</option>
                    <?php foreach ($_SESSION['lineas'] as $linea) { ?>
                    <option value="<?php echo $linea['LineaTrabajoCodigo']; ?>"><?php echo $linea['LineaTrabajoDescripcion']; ?></option>
                    <?php } ?>
                  </select>
                </p>
            
            <?php } ?>
            
            <?php if($gestionTurnos) { ?>
            
            	<p>Turno de Trabajo:<br />
                  <select name="popupCerrarPaletTurnoTrabajo" id="popupCerrarPaletTurnoTrabajo" class="campo">
                    <option value="" selected>Seleccionar...</option>
                    <?php foreach ($_SESSION['turnos'] as $turno) { ?>
                    <option value="<?php echo $turno['TurnoTrabajoCodigo']; ?>" ><?php echo $turno['TurnoTrabajoDescripcion']; ?></option>
                    <?php } ?>
                  </select>
                </p>
            
            <?php } ?>
            
            <p><input type="button" name="botonPopupCerrarPaletConfirmar" id="botonPopupCerrarPaletConfirmar" class="boton" value="CERRAR"/></p>
            <p><input type="button" name="botonPopupCerrarPaletCancelar" id="botonPopupCerrarPaletCancelar" class="boton reducido" value="Cancelar"/></p>
            
    </div>
	</div>
    
    <!-- 18-12-2025 Fichajes -->
    <div id="popupFichajes" class="popup" style="display:none"></div>
	<div id="popupFichajesContenido" class="popupContenidoScroll" style="display:none"></div>
    
    
    <table class="tablaFormateada" style="margin:0 auto">
      <tr>
        <?php if(count($_SESSION['empresas'])>1) { ?><th>Emp.</th><?php } ?>
        <th>Nº Operación</th>
            <th>Ref. Cliente</th>
            <th>Cliente</th>
            <?php if($gestionLineas) { ?>
            <th>Linea Trabajo</th>
            <?php } ?>
            <?php if($gestionTurnos) { ?>
            <th>Turno Trabajo</th>
            <?php } ?>
            <th>Estado Operación</th>
            <?php if($FichajesActivodEnTransformacion) { ?>
            <th>Fichajes</th>
            <?php } ?>
        </tr>
        <tr>
            <?php if(count($_SESSION['empresas'])>1) { ?><td valign="middle"><?php echo $_SESSION['operacion']['Empresa']; ?></td><?php } ?>
            <td valign="middle"><?php echo $_SESSION['operacion']['NumOperacion']; ?></td>
            <td valign="middle"><?php echo $_SESSION['operacion']['ClienteRef']; ?></td>
            <td valign="middle"><?php echo $_SESSION['operacion']['ClienteNombre']; ?></td>
            <?php if($gestionLineas) { ?>
          <td valign="middle"><?php echo $_SESSION['transformacion_lineaTrabajo_seleccionada_nombre']; ?></td>
            <?php } ?>
            <?php if($gestionTurnos) { ?>
          <td valign="middle"><?php echo $_SESSION['transformacion_turnoTrabajo_seleccionado_nombre']; ?></td>
            <?php } ?>
            <td valign="middle"><?php echo $_SESSION['operacion']['Estado']; ?></td>
            <?php if($FichajesActivodEnTransformacion) { ?>
            <td><div id="botonFichajes" class="botonMenuFlotante"><img src="<?php echo DIR_IMAGENES; ?>/reloj.png" class="menuIcono <?php if($hayFichajesEnCurso) { ?>parpadea<?php } else { ?>deshabilitado<?php } ?>" border="0"/></div></td>
            <?php } ?>
        </tr>
	</table>
    
    <?php //echo '<p>Estado producción para linea y turno: '.$_SESSION['operacion']['EstadoProduccion'].'</p>'; ?>
    
    <?php if( $autoControlesCalidadProgramados ) { ?>
    <p id="avisoProximoControlCalidad"><img src="<?php echo DIR_IMAGENES; ?>/transformaciones/calidad.png" width="52" height="52" style="vertical-align:middle;margin-right:10px"/>Próximo autocontrol de calidad: <span id="proximoControlCalidadAviso"></span></p>
    <input id="proximoControlCalidad" name="proximoControlCalidad" type="hidden" />
    <?php } ?>
    
	<p><img src="<?php echo DIR_IMAGENES; ?>/transformaciones/producto.png" width="52" height="52" style="vertical-align:middle;margin-right:10px"/><strong>Producto a obtener:</strong></p>
	
	<table class="tablaFormateada anchoMaximo" style="margin:0 auto">
		<tr>
			<th>Código</th>
			<th>Descripción</th>
			<?php foreach($_SESSION['comportamientos'] as $comportamiento) { ?>
				<?php if($comportamiento['Activo']=='S' && $_SESSION['operacion']['ProductoObtener'][$traductorComportamientosProductoGestion[$comportamiento['Codigo']]]=='S') { ?><th><?php echo $comportamiento['Nombre']; ?></th><?php } ?>
			<?php } ?>
			<th>Lanzado</th>
            <th>Cerrado</th>
            <th>Pendiente</th>
		</tr>
		<tr>
			<td valign="middle"><?php echo $_SESSION['operacion']['ProductoObtener']['ProductoCodigo']; ?></td>
			<td valign="middle"><?php echo $_SESSION['operacion']['ProductoObtener']['ProductoDescripcion']; ?></td>
            <?php foreach($_SESSION['comportamientos'] as $comportamiento) { ?>
				<?php if($comportamiento['Activo']=='S' && $_SESSION['operacion']['ProductoObtener'][$traductorComportamientosProductoGestion[$comportamiento['Codigo']]]=='S') { ?>
                <td valign="middle">
                <?php echo formateaTipo($_SESSION['operacion']['ProductoObtener'][$traductorComportamientos[$comportamiento['Codigo']]],$comportamiento['Tipo']); ?>
				</td>
				<?php } ?>
			<?php } ?>
            <td valign="middle"><?php echo formateaNumeroDecimal($_SESSION['operacion']['ProductoObtener']['ProductoCantidadLanzada'],true); ?></td>
			<td valign="middle"><?php echo formateaNumeroDecimal($_SESSION['operacion']['ProductoObtener']['ProductoCantidadCerrada'],true); ?></td>
            <td valign="middle"><?php echo formateaNumeroDecimal($_SESSION['operacion']['ProductoObtener']['ProductoCantidadPendiente'],true); ?></td>
		</tr>
</table>

	<?php if( $_SESSION['operacion']['DescripcionProceso'] ) { ?>
    
    <p><img src="<?php echo DIR_IMAGENES; ?>/palet-info.png" width="45" height="45" style="vertical-align:middle;margin-right:10px"/><strong>Descripción del proceso / Observaciones:</strong><p>
    <p><textarea name="descripicionProceso" id="descripicionProceso" rows="4" class="campo" style="width:740px;text-align:left;font-size:1.2em" readonly><?php echo $_SESSION['operacion']['DescripcionProceso']; ?></textarea></p>
    
    
    <?php } ?>
    
    <?php
    
	// DOCUMENTOS
	
	if( $_SESSION['operacion']['Documentos'] ) {
	
		$_SESSION['documentos']=arreglaArrayPXMobileProxiumResult($_SESSION['operacion']['Documentos']);
    
		$mostrarMenuDocumentos=true;
	
		?>
        
        <div id="popupDocumentos" class="popup" style="display:none"></div>
		<div id="popupDocumentosContenido" class="popupContenidoScroll" style="display:none"></div>
    
        <script>
		
			$(document).ready(function() {
			
				$('#verDocumentos').on('click',function(){
				
					$('#popupCargando').show();
					
					$.post( "<?php echo $rutaHtml; ?>/contenidos/documentos.php", { } )
					.done(function(data) {
					
						$('#popupDocumentosContenido').html(data);
						
						$('#popupDocumentosContenido').css('top',$(document).scrollTop()+100);
						
						$('#popupDocumentos').show();
						$('#popupDocumentosContenido').show();
						
						$('#popupCargando').hide();
					
					});
					
				});
			
			});
		
		</script>
        
		<?php

    }
	else unset($_SESSION['documentos']);
	?>
    
    <p id="bloqueProductosObtenidos"><img src="<?php echo DIR_IMAGENES; ?>/transformaciones/producto-ok.png" width="52" height="52" style="vertical-align:middle;margin-right:10px"/><strong>Productos obtenidos:</strong></p>
	
    <?php if( is_array($_SESSION['operacion']['ProductosObtenidos']) && count($_SESSION['operacion']['ProductosObtenidos'])>0) { ?>
    
    <?php
    $traductorComportamientosPalet=array('LT'=>'PaletProductoLote','FCAD'=>'PaletProductoCaducidad','IDI'=>'PaletProductoIdioma','PRECEMP'=>'PaletProductoPrecinta');
	$traductorComportamientosPaletGestion=array('REGE'=>'ProductoGestionRegimen','LT'=>'PaletGestionLote','FCAD'=>'PaletGestionCaducidad','IDI'=>'PaletGestionIdioma','NS'=>'PaletGestionNumeroSerie');
	?>
    
	<div id="popupInfoProductoObtenido" class="popup" style="display:none"></div>
	<div id="popupInfoProductoObtenidoContenido" class="popupContenidoScroll" style="display:none"></div>
	
    <!--<table class="tablaFormateada2022 noColorearAlternos" style="margin:0 auto">-->
    <table class="tablaFormateada noColorearAlternos" style="margin:0 auto">
		<tr>
        	<th>Palet</th>
            
            <?php if($asociarSSCC) { ?>
            <th>SSCC</th>
            <?php } ?>
            
            <th>Cerrado</th>
            
			<?php foreach($_SESSION['comportamientos'] as $comportamiento) { ?>
				<?php if($comportamiento['Activo']=='S' && $_SESSION['operacion']['ProductoObtener'][$traductorComportamientosProductoGestion[$comportamiento['Codigo']]]=='S' && $comportamiento['Codigo']!='REGE') { ?><th><?php echo $comportamiento['Nombre']; ?></th><?php } ?>
			<?php } ?>
            
            <?php if($gestionLineas) { ?>
            <th>Línea Trabajo</th>
            <?php } ?>
            
            <?php if($gestionTurnos) { ?>
            <th>Turno Trabajo</th>
            <?php } ?>
            
            <?php if($gestionLineas || $gestionTurnos) { ?>
            <th>Usuario</th>
            <th>Fecha</th>
            <th>Hora</th>
            <?php } ?>
            
            <th>Cantidad</th>
            <th>Info</th>
		</tr>
        
        <?php $impar=false; ?>
        
        <?php foreach($_SESSION['operacion']['ProductosObtenidos'] as $item) { ?>
        
			<?php
			
			
			
            $cuantasCombinaciones=0; 
            $combinaciones=array();
			
			$lineaOrden='';
			
			$productoPaletLineas=arreglaArrayPXMobileProxiumResult($item['ProductoPaletLineas']);
                            
            foreach($productoPaletLineas as $item2) {

                $combinaciones[]=$item2;
				$cuantasCombinaciones++;
				
            }
			
			$loteLinea=$combinaciones[0]['PaletProductoLote']; //25-02-2026 APP para obtener el detalle
			$ordenLinea=$combinaciones[0]['PaletOrden']; //25-02-2026 APP para obtener el detalle
			$caducidadLinea=$combinaciones[0]['PaletProductoCaducidad']; //25-02-2026 APP para obtener el detalle
            
            if($cuantasCombinaciones>1) $cuantasFilas=$cuantasCombinaciones;
            else $cuantasFilas=1;
                
            if($cuantasFilas>1) $rowspanUno='rowspan="'.$cuantasFilas.'"';
            else $rowspanUno='';
            ?>
            
            <tr class="<?php if($impar) {?>coloreado<?php } ?>">
            
                <td valign="middle" <?php echo $rowspanUno; ?>><?php echo $item['ProductoPalet']; ?></td>
                
                <?php if($asociarSSCC) { ?>
                <td valign="middle" <?php echo $rowspanUno; ?>><?php echo $item['ProductoPaletSSCC']; ?></td>
                <?php } ?>
                
                <!-- area cierre palet -->
                
                <td align="right" valign="top" <?php echo $rowspanUno; ?>>
                
                <img id="imagenPaletCerrado-<?php echo $item['ProductoPalet']; ?>" src="<?php echo DIR_IMAGENES; ?>/ok.png" width="47" height="36" style="margin-bottom:-10px;<?php if($item['ProductoPaletCerrado']!='S') { ?>display:none<?php } ?>" />
                <input type="button" name="botonPaletCerrar-<?php echo $item['ProductoPalet']; ?>" id="botonPaletCerrar-<?php echo $item['ProductoPalet']; ?>" value="<?php if($item['ProductoPaletCerrado']=='S') { ?>Abrir<?php } else { ?>Cerrar<?php } ?>" class="botonCerrarPalet boton reducido" style="width:90px;padding:15px" palet="<?php echo $item['ProductoPalet']; ?>" accion="<?php if($item['ProductoPaletCerrado']=='S') { ?>abrir<?php } else { ?>cerrar<?php } ?>" linea="" turno="" fecha="" hora="" sscc="<?php echo $item['ProductoPaletSSCC']; ?>"/>
                
                <?php if($item['ProductoPaletCerrado']=='S') { ?>
                	<div style="font-size:0.7em;text-align:center;margin-top:5px">
                	<?php echo fechaNacional($item['ProductoPaletFechaCierre']).' '.horaNacional($item['ProductoPaletHoraCierre']); ?><br />
                    <?php echo $item['ProductoPaletLineaTrabajoNombre'].' - '.$item['ProductoPaletTurnoTrabajoNombre']; ?>
                    </div>
                <?php } ?>
                                
                </td>
                
                <!-- fin cierre palet -->
                
        		<?php foreach($_SESSION['comportamientos'] as $comportamiento) { ?>
                    <?php if($comportamiento['Activo']=='S' && $_SESSION['operacion']['ProductoObtener'][$traductorComportamientosProductoGestion[$comportamiento['Codigo']]]=='S' && $comportamiento['Codigo']!='REGE') { ?>
                	<td valign="middle">
                    <?php echo formateaTipo($combinaciones[0][$traductorComportamientosPalet[$comportamiento['Codigo']]],$comportamiento['Tipo']); ?>
                    <?php echo $item[$traductorComportamientos[$comportamiento['Codigo']]]; ?>
                    </td>
                    <?php } ?>
                <?php } ?>
                
                <?php if($gestionLineas) { ?>
                <td valign="middle" class="columnaLineaCierre" palet="<?php echo $item['ProductoPalet']; ?>" valor="<?php echo $combinaciones[0]['PaletLineaTrabajo']; ?>"><?php echo $combinaciones[0]['PaletLineaTrabajoNombre']; ?></td>
                <?php } ?>
                
                <?php if($gestionTurnos) { ?>
                <td valign="middle" class="columnaTurnoCierre" palet="<?php echo $item['ProductoPalet']; ?>" valor="<?php echo $combinaciones[0]['PaletTurnoTrabajo']; ?>"><?php echo $combinaciones[0]['PaletTurnoTrabajoNombre']; ?></td>
                <?php } ?>
                
                <?php if($gestionLineas || $gestionTurnos) { ?>
                <td valign="middle"><?php echo $combinaciones[0]['PaletUsuarioCierre']; ?></td>
                <td valign="middle" class="columnaFechaCierre" palet="<?php echo $item['ProductoPalet']; ?>"><?php echo fechaNacional(fechaDesdeProxium($combinaciones[0]['PaletFechaCierre'])); ?></td>
                <td valign="middle" class="columnaHoraCierre" palet="<?php echo $item['ProductoPalet']; ?>"><?php echo horaNacional($combinaciones[0]['PaletHoraCierre']); ?></td>
                <?php } ?>
                
                <td valign="middle" class="noEsUltima"><?php echo formateaNumeroDecimal($combinaciones[0]['PaletProductoCantidad'],true); ?></td>
                
                <td valign="middle" <?php echo $rowspanUno; ?>>
                <img src="<?php echo DIR_IMAGENES; ?>/palet-info.png" width="40" height="40" class="botonInfoProductoCerrado clicable" palet="<?php echo $item['ProductoPalet']; ?>" caducidadLinea="<?php echo $caducidadLinea; ?>" loteLinea="<?php echo $loteLinea; ?>" ordenLinea="<?php echo $ordenLinea; ?>"/>

                </td>
                
            </tr>
            
            <?php if($cuantasCombinaciones>1 ) { ?>
                        
                    <?php for($i=1;$i<$cuantasCombinaciones;$i++) { ?>
                    
                    	<tr class="<?php if($impar) {?>coloreado<?php } ?>">
            
                            <?php foreach($_SESSION['comportamientos'] as $comportamiento) { ?>
                                <?php if($comportamiento['Activo']=='S' && $_SESSION['operacion']['ProductoObtener'][$traductorComportamientosProductoGestion[$comportamiento['Codigo']]]=='S' && $comportamiento['Codigo']!='REGE') { ?>
                            <td valign="middle">
                                <?php echo formateaTipo($combinaciones[$i][$traductorComportamientosPalet[$comportamiento['Codigo']]],$comportamiento['Tipo']); ?>
                                <?php //echo $item[$traductorComportamientos[$comportamiento['Codigo']]]; ?>                            </td>
                                <?php } ?>
                            <?php } ?>
                            
                            <?php if($gestionLineas) { ?>
                            <td valign="middle"  class="columnaLineaCierre" palet="<?php echo $item['ProductoPalet']; ?>" valor="<?php echo $combinaciones[$i]['PaletLineaTrabajo']; ?>"><?php echo $combinaciones[$i]['PaletLineaTrabajoNombre']; ?></td>
                            <?php } ?>
                            
                            <?php if($gestionTurnos) { ?>
                            <td valign="middle" class="columnaTurnoCierre" palet="<?php echo $item['ProductoPalet']; ?>" valor="<?php echo $combinaciones[$i]['PaletTurnoTrabajo']; ?>"><?php echo $combinaciones[$i]['PaletTurnoTrabajoNombre']; ?></td>
                            <?php } ?>
                            
                            <?php if($gestionLineas || $gestionTurnos) { ?>
                            <td valign="middle"><?php echo $combinaciones[$i]['PaletUsuarioCierre']; ?></td>
                            <td valign="middle" class="columnaFechaCierre" palet="<?php echo $item['ProductoPalet']; ?>"><?php echo fechaNacional(fechaDesdeProxium($combinaciones[$i]['PaletFechaCierre'])); ?></td>
                            <td valign="middle" class="columnaHoraCierre" palet="<?php echo $item['ProductoPalet']; ?>"><?php echo horaNacional($combinaciones[$i]['PaletHoraCierre']); ?></td>
                            <?php } ?>
                            
                            <td valign="middle" class="noEsUltima"><?php echo formateaNumeroDecimal($combinaciones[$i]['PaletProductoCantidad'],true); ?></td>
                            
                        </tr>
                    
                    <?php } ?>
                    
            <?php } ?>
            
            <?php $impar=!$impar; ?>

        <?php } ?>
        
	</table>
    
<script>
	
	$(document).ready(function() {
	
		$('.botonInfoProductoCerrado').on('click',function(e){
		
			e.preventDefault();
			
			$('#popupCargando').show();
			
			var palet=$(this).attr('palet');
			var loteLinea=$(this).attr('loteLinea');
			var ordenLinea=$(this).attr('ordenLinea');
			var caducidadLinea=$(this).attr('caducidadLinea');
			
			/*
			var regimen=$(this).attr('regimen');
			var codigo=$(this).attr('codigo');
			var lote=$(this).attr('lote');
			var idioma=$(this).attr('idioma');
			var precinta=$(this).attr('precinta');
			var caducidad=$(this).attr('caducidad');
			
			$.post( "<?php echo $rutaHtml; ?>/contenidos/operacion-logistica-transformacion-producto-obtenido-detalle.php", { 'palet' : palet , 'regimen' : regimen , 'codigo' : codigo , 'lote' : lote , 'idioma' : idioma , 'precinta' : precinta , 'caducidad' : caducidad , 'listado' : '<?php echo serialize($_SESSION['operacion']['ProductosObtenidos']); ?>' } )
			*/
			$.post( "<?php echo $rutaHtml; ?>/contenidos/operacion-logistica-transformacion-producto-obtenido-detalle.php<?php if($_GET['traza']=='si') { ?>?traza=si<?php } ?>", { 'palet' : palet , 'empresa' : '<?php echo $empresa; ?>' , 'operacion' : '<?php echo $operacion; ?>', 'codigo' : '<?php echo $codigo; ?>', 'idioma' : '<?php echo $idioma; ?>' , 'precinta' : '<?php echo $precinta; ?>' , 'lote' : loteLinea , 'caducidad' : caducidadLinea , 'orden' : ordenLinea } )
			.done(function(data) {
			
				$('#popupInfoProductoObtenidoContenido').html(data);
				
				$('#popupInfoProductoObtenidoContenido').css('top',$(document).scrollTop()+100);
				
				$('#popupInfoProductoObtenido').show();
				$('#popupInfoProductoObtenidoContenido').show();
				
				$('#popupCargando').hide();
			
			});
			
		});
	
		$(document).on('click','#botonCerrarInfoProductoObtenido',function(e){
			e.preventDefault();
			$('#popupInfoProductoObtenidoContenido').html('');
			$('#popupInfoProductoObtenido').hide();
			$('#popupInfoProductoObtenidoContenido').hide();
		});
		
	});
		
	</script>
    
    <?php } else { ?>
    
    <p><em>Todavía no constan productos terminados.</em></p>
    
    <?php } ?>
    
    <?php $_SESSION['operacion']['todosProductosUtilizarTienenPalets']=true; ?>
	
	<p><img src="<?php echo DIR_IMAGENES; ?>/transformaciones/materia-prima.png" width="52" height="52" style="vertical-align:middle;margin-right:10px"/><strong>Productos a utilizar en esta transformación:</strong></p>
	
	<table class="tablaFormateada noColorearAlternos anchoMaximo" style="margin:0 auto">
    
    	<?php
		
		$mostrarRegimen=false;
		foreach($_SESSION['operacion']['ProductosUtilizar'] as $item) if($item['ProductoGestionRegimen']=='S') $mostrarRegimen=true;
		
		?>
    
		<tr>
        	<?php if($mostrarGestion) { ?>
            <th>Gestión</th>
            <?php } ?>
            
			<th>Código</th>
			<th>Descripción</th>
            
            <?php if($mostrarRegimen) { ?>
        	<th>Régimen</th>
            <?php } ?>
            
			<th>Cant. unitaria</th>
            <th>Palets activos</th>
            
            <th>Lote / Caducidad</th>
            <th>Stock</th> 
		</tr>
        
        <?php $impar=false; ?>
        <?php $contadorProductos=1; ?>
        
		<?php foreach($_SESSION['operacion']['ProductosUtilizar'] as $item) { ?>
        
			<?php 
			
			if(is_array($_SESSION['operacion']['ProductosUtilizar'])) $cuantosProductos=count($_SESSION['operacion']['ProductosUtilizar']); else $cuantosProductos=0;
			$cuantosPalets=0;
			$cuantosPaletsCombinaciones=0;
			$productoPalets=array();
			
			$palets=arreglaArrayPXMobileProxiumResult($item['ProductoPalets']);
			
			if(is_array($palets) && count($palets)==0) $_SESSION['operacion']['todosProductosUtilizarTienenPalets']=false;
			
			foreach($palets as $item2) {
				
				$paletCombinaciones=array();
				
				foreach(arreglaArrayPXMobileProxiumResult($item2['PaletLotes']) as $item3) {
					$paletCombinaciones[]=$item3;
					$cuantosPaletsCombinaciones++;
				}
				
				$item2['paletCombinaciones']=$paletCombinaciones;
				
				$productoPalets[]=$item2;
				$cuantosPalets++;
				
			}
			
			if($cuantosPaletsCombinaciones>1) $cuantasFilas=$cuantosPaletsCombinaciones;
			else if($cuantosPalets>1) $cuantasFilas=$cuantosPalets;
			else $cuantasFilas=1;
			
			if($cuantasFilas>1) $rowspanUno='rowspan="'.$cuantasFilas.'"';
			else $rowspanUno='';
			
			?>
            <tr class="<?php if($impar) {?>coloreado<?php } ?> <?php if($cuantosProductos==$contadorProductos) { ?>ultimaFila<?php } ?>">
                
                <?php if($mostrarGestion) { ?>
                <td valign="middle" <?php echo $rowspanUno; ?>><?php echo $item['ProductoGestion']; ?></td>
                <?php } ?>
                
                <td valign="middle" <?php echo $rowspanUno; ?>><?php echo $item['ProductoCodigo']; ?></td>
                <td valign="middle" <?php echo $rowspanUno; ?>><?php echo $item['ProductoDescripcion']; ?></td>
                
                <?php if($mostrarRegimen) { ?>
                <td valign="middle" <?php echo $rowspanUno; ?>><?php echo $item['ProductoRegimen']; ?></td>
                <?php } ?>
                
                <td valign="middle" <?php echo $rowspanUno; ?>><?php echo formateaNumeroDecimal($item['ProductoCantidadUnitaria'],true); ?></td>
                
                <?php
				if(is_array($productoPalets[0]['paletCombinaciones'])) $cuantasCombinaciones=count($productoPalets[0]['paletCombinaciones']); else $cuantasCombinaciones=1;
				if($cuantasCombinaciones>1) $rowspanDos='rowspan="'.$cuantasCombinaciones.'"';
				else $rowspanDos='';
				?> 
                <td valign="middle" <?php echo $rowspanDos; ?>><?php echo $productoPalets[0]['PaletNumero']; ?></td>
                
               	<td valign="middle"><?php if($productoPalets[0]['PaletNumero']) echo $productoPalets[0]['paletCombinaciones'][0]['PaletProductoLote'].' / '.fechaNacionalDesdeProxiumGuiones($productoPalets[0]['paletCombinaciones'][0]['PaletProductoCaducidad']); ?></td>
                <td valign="right"><?php echo formateaNumeroDecimal($productoPalets[0]['paletCombinaciones'][0]['PaletProductoStock'],true); ?></td>
                
                <?php $contadorProductos++; ?>
                
            </tr>
            
            <?php if($cuantasCombinaciones>1 ) { ?>
                    
            	<?php for($j=1;$j<$cuantasCombinaciones;$j++) { ?>
                        
                	<tr class="<?php if($impar) {?>coloreado<?php } ?>">
                    	<td valign="middle" class="noEsUltima"><?php if($productoPalets[0]['PaletNumero']) echo $productoPalets[0]['paletCombinaciones'][$j]['PaletProductoLote'].' / '.fechaNacionalDesdeProxiumGuiones($productoPalets[0]['paletCombinaciones'][$j]['PaletProductoCaducidad']); ?></td>
                		<td valign="right"><?php echo formateaNumeroDecimal($productoPalets[0]['paletCombinaciones'][$j]['PaletProductoStock'],true); ?></td>
					</tr>
                        
				<?php } ?>
                        
            <?php } ?>
            
            <?php if($cuantosPalets>1) { ?>
            
            	<?php for($i=1;$i<$cuantosPalets;$i++) { ?>
                
                	<tr class="<?php if($impar) {?>coloreado<?php } ?>">
                    	<?php
						if(is_array($productoPalets[$i]['paletCombinaciones'])) $cuantasCombinaciones=count($productoPalets[$i]['paletCombinaciones']); else $cuantasCombinaciones=1;
						if($cuantasCombinaciones>1) $rowspanDos='rowspan="'.$cuantasCombinaciones.'"';
						else $rowspanDos='';
						?>
                        <td valign="middle" class="noEsUltima" <?php echo $rowspanDos; ?>><?php echo $productoPalets[$i]['PaletNumero']; ?></td>
                        
                        <td valign="middle"><?php if($productoPalets[$i]['PaletNumero']) echo $productoPalets[$i]['paletCombinaciones'][0]['PaletProductoLote'].' / '.fechaNacionalDesdeProxiumGuiones($productoPalets[$i]['paletCombinaciones'][0]['PaletProductoCaducidad']); ?></td>
                		<td valign="right"><?php echo formateaNumeroDecimal($productoPalets[$i]['paletCombinaciones'][0]['PaletProductoStock'],true); ?></td>
                        
                    </tr>
                    
                    <?php if(is_array($productoPalets[$i]['paletCombinaciones'])) $cuantasCombinaciones=count($productoPalets[$i]['paletCombinaciones']); else $cuantasCombinaciones=1; ?>
                    
                    <?php if($cuantasCombinaciones>1 ) { ?>
                    
                    	<?php for($j=1;$j<$cuantasCombinaciones;$j++) { ?>
                        
                        	<tr class="<?php if($impar) {?>coloreado<?php } ?>">
                            	<td valign="middle" class="noEsUltima"><?php if($productoPalets[$i]['PaletNumero']) echo $productoPalets[$i]['paletCombinaciones'][$j]['PaletProductoLote'].' / '.fechaNacionalDesdeProxiumGuiones($productoPalets[$i]['paletCombinaciones'][$j]['PaletProductoCaducidad']); ?></td>
                				<td valign="right"><?php echo formateaNumeroDecimal($productoPalets[$i]['paletCombinaciones'][$j]['PaletProductoStock'],true); ?></td>
                            </tr>
                        
                        <?php } ?>
                        
                    <?php } ?>
                
                <?php } ?>
            
            <?php } ?>
            
            <?php $impar=!$impar; ?>
            
		<?php } ?>
        
	</table>
    
    <?php //echo '<p>todosProductosUtilizarTienenPalets2 : '.$_SESSION['operacion']['todosProductosUtilizarTienenPalets'].'</p>'; ?>
    
    <p><img src="<?php echo DIR_IMAGENES; ?>/transformaciones/palet-off.png" width="52" height="52" style="vertical-align:middle;margin-right:10px"/><strong>Palets pendientes de activar:</strong></p>
    
<?php if(is_array($_SESSION['operacion']['PaletsPtesActivar'])) $cuantosPalets=count($_SESSION['operacion']['PaletsPtesActivar']); else $cuantosPalets=0;?>
    
    <?php if( $cuantosPalets>0) { ?>
    
    <table class="tablaFormateada noColorearAlternos anchoMaximo" style="margin:0 auto">
    
		<tr>
			<th>Palet</th>
            <th>Producto</th>
			<th>Descripción</th>
			<th>Lote / Caducidad</th>
            <th>Stock</th>
		</tr>
        
        <?php $impar=false; ?>
        
        <?php foreach($_SESSION['operacion']['PaletsPtesActivar'] as $item) { ?>
        
        	<?php 
			
			$cuantosProductos=0;
			$cuantosProductosCombinaciones=0;
			$productoPalets=array();
			foreach(arreglaArrayPXMobileProxiumResult($item['PaletProductos']) as $item2) {
				
				$productoCombinaciones=array();
				
				foreach(arreglaArrayPXMobileProxiumResult($item2['ProductoLotes']) as $item3) {
					$productoCombinaciones[]=$item3;
					$cuantosProductosCombinaciones++;
				}
				
				$item2['productoCombinaciones']=$productoCombinaciones;
				
				$productoPalets[]=$item2;
				$cuantosProductos++;
				
			}
			
			if($cuantosProductosCombinaciones>1) $cuantasFilas=$cuantosProductosCombinaciones;
			else if($cuantosProductos>1) $cuantasFilas=$cuantosProductos;
			else $cuantasFilas=1; 
			
			if($cuantasFilas>1) $rowspanUno='rowspan="'.$cuantasFilas.'"';
			else $rowspanUno='';
			?>
            
            <tr class="<?php if($impar) {?>coloreado<?php } ?> <?php if($cuantosPalets==1) { ?>ultimaFila<?php } ?>">
            
                <td valign="middle" <?php echo $rowspanUno; ?>><?php echo $item['PaletNumero']; ?></td>
                
                <?php
				if(is_array($productoPalets[0]['ProductoLotes'])) $cuantasCombinaciones=count($productoPalets[0]['ProductoLotes']); else $cuantasCombinaciones=1;
				if($cuantasCombinaciones>1) $rowspanDos='rowspan="'.$cuantasCombinaciones.'"';
				else $rowspanDos='';
				?> 
                <td valign="middle" <?php echo $rowspanDos; ?> class="noEsPrimero"><?php echo $productoPalets[0]['ProductoCodigo']; ?></td>
                <td valign="middle" <?php echo $rowspanDos; ?>><?php echo $productoPalets[0]['ProductoDescripcion']; ?></td>
                
                <td valign="middle"><?php echo $productoPalets[0]['productoCombinaciones'][0]['PaletProductoLote']; ?> / <?php echo fechaNacionalDesdeProxiumGuiones($productoPalets[0]['productoCombinaciones'][0]['PaletProductoCaducidad']); ?></td>
                <td valign="right"><?php echo formateaNumeroDecimal($productoPalets[0]['productoCombinaciones'][0]['PaletProductoStock'],true); ?></td>
  
            </tr>
            
            <?php if($cuantasCombinaciones>1 ) { ?>
                    
            	<?php for($j=1;$j<$cuantasCombinaciones;$j++) { ?>
                        
                	<tr class="<?php if($impar) {?>coloreado<?php } ?>">
                    	<td valign="middle"><?php echo $productoPalets[0]['productoCombinaciones'][$j]['PaletProductoLote']; ?> / <?php echo fechaNacionalDesdeProxiumGuiones($productoPalets[0]['productoCombinaciones'][$j]['PaletProductoCaducidad']); ?></td>
                		<td valign="right"><?php echo formateaNumeroDecimal($productoPalets[0]['productoCombinaciones'][$j]['PaletProductoStock'],true); ?></td>
					</tr>
                        
				<?php } ?>
                        
            <?php } ?>
            
            <?php if($cuantosProductos>1) { ?>
            
            	<?php for($i=1;$i<$cuantosProductos;$i++) { ?>
                
                	<tr class="<?php if($impar) {?>coloreado<?php } ?>">
                    	<?php
						if(is_array($productoPalets[$i]['productoCombinaciones'])) $cuantasCombinaciones=count($productoPalets[$i]['productoCombinaciones']); else $cuantasCombinaciones=1;
						if($cuantasCombinaciones>1) $rowspanDos='rowspan="'.$cuantasCombinaciones.'"';
						else $rowspanDos='';
						?>
                        <td valign="middle" <?php echo $rowspanDos; ?>><?php echo $productoPalets[$i]['ProductoCodigo']; ?></td>
                        <td valign="middle" <?php echo $rowspanDos; ?>><?php echo $productoPalets[$i]['ProductoDescripcion']; ?></td>
                        
                        <td valign="middle"  class="borrarBordeDerecho"><?php echo $productoPalets[$i]['productoCombinaciones'][0]['PaletProductoLote']; ?> / <?php echo fechaNacionalDesdeProxiumGuiones($productoPalets[$i]['productoCombinaciones'][0]['PaletProductoCaducidad']); ?></td>
                		<td valign="right"  class="borrarBordeDerecho"><?php echo formateaNumeroDecimal($productoPalets[$i]['productoCombinaciones'][0]['PaletProductoStock'],true); ?></td>
                        
                    </tr>
                    
                    <?php if(is_array($productoPalets[$i]['productoCombinaciones'])) $cuantasCombinaciones=count($productoPalets[$i]['productoCombinaciones']); else $cuantasCombinaciones=1; ?>
                    
                    <?php if($cuantasCombinaciones>1 ) { ?>
                    
                    	<?php for($j=1;$j<$cuantasCombinaciones;$j++) { ?>
                        
                        	<tr class="<?php if($impar) {?>coloreado<?php } ?>">
                            	<td valign="middle" class="borrarBordeDerecho"><?php echo $productoPalets[$i]['productoCombinaciones'][$j]['PaletProductoLote']; ?> / <?php echo fechaNacionalDesdeProxiumGuiones($productoPalets[$i]['productoCombinaciones'][$j]['PaletProductoCaducidad']); ?></td>
                				<td valign="right" class="borrarBordeDerecho"><?php echo formateaNumeroDecimal($productoPalets[$i]['productoCombinaciones'][$j]['PaletProductoStock'],true); ?></td>
                            </tr>
                        
                        <?php } ?>
                        
                    <?php } ?>
                
                <?php } ?>
            
            <?php } ?>
            
            <?php $impar=!$impar; ?>
        
        <?php } ?>
        
	</table>
    
    <!--<p><input name="botonActivarPalets" id="botonActivarPalets" type="button" value="Activar Palets" class="boton"/></p>-->
    
<?php } else { ?>
    
    <p><em>No hay Palets pendientes de activar para esta Transformación.</em></p>
    
    <?php $avisoActivarPalet=true; ?>
    
<!--
    <?php if(is_array($_SESSION['operacion']['OrdenesPicking']) && count($_SESSION['operacion']['OrdenesPicking'])>0) { ?>
    <script>
		alert('Atención: Todavía no puede comenzarse esta transformación<br>porque no se ha cerrado ningún palet desde el Picking.',null,'advertencia');
	</script>
    <?php } else { ?>
    <script>
		alert('Atención: No puede comenzarse esta transformación<br>porque todavía no hay ningún Picking lanzado.',null,'advertencia');
	</script>
    <?php } ?>
    -->
    
    <?php } ?>
    
    
    <p><img src="<?php echo DIR_IMAGENES; ?>/transformaciones/palet-ok.png" width="52" height="52" style="vertical-align:middle;margin-right:10px"/><strong>Palets activos:</strong></p>
    
    <?php if(is_array($_SESSION['operacion']['PaletsActivos'])) $cuantosPalets=count($_SESSION['operacion']['PaletsActivos']); else $cuantosPalets=0; ?>
    
    <?php if($cuantosPalets>0) { ?>
	
	<table class="tablaFormateada noColorearAlternos anchoMaximo" style="margin:0 auto">
    
		<tr>
			<th>Palet</th>
            
            <?php if($gestionLineas) { ?>
            <th>Línea Trabajo</th>
            <?php } ?>
            
            <th>Producto</th>
			<th>Descripción</th>
			<th>Lote / Caducidad</th>
            <th>Stock</th>
		</tr>
        
        <?php $impar=false; ?>
        <?php $contadorFilas=1; ?>
        
        <?php foreach($_SESSION['operacion']['PaletsActivos'] as $item) { ?>
        
        	<?php 
			
			if(is_array($_SESSION['operacion']['PaletsActivos'])) $cuantosPalets=count($_SESSION['operacion']['PaletsActivos']); else $cuantosPalets=0;
			$cuantosProductos=0;
			$cuantosProductosCombinaciones=0;
			$productoPalets=array();
			foreach(arreglaArrayPXMobileProxiumResult($item['PaletProductos']) as $item2) {
				
				$productoCombinaciones=array();
				
				foreach(arreglaArrayPXMobileProxiumResult($item2['ProductoLotes']) as $item3) {
					$productoCombinaciones[]=$item3;
					$cuantosProductosCombinaciones++;
				}
				
				$item2['productoCombinaciones']=$productoCombinaciones;
				
				$productoPalets[]=$item2;
				$cuantosProductos++;
				
			}
			
			if($cuantosProductosCombinaciones>1) $cuantasFilas=$cuantosProductosCombinaciones;
			else if($cuantosProductos>1) $cuantasFilas=$cuantosProductos;
			else $cuantasFilas=1; 
			
			
			
			if($cuantasFilas>1) $rowspanUno='rowspan="'.$cuantasFilas.'"';
			else $rowspanUno='';
			
			/*
			echo '<p>'.$item['PaletNumero'].'<br>';
			echo 'cuantosProductosCombinaciones: '.$cuantosProductosCombinaciones.'<br>';
			echo 'cuantosProductos: '.$cuantosProductos.'<br>';
			echo 'rowspanUno: '.$rowspanUno.'<br>';
			echo '<hr>';
			*/
			?>
            
            <tr class="<?php if($impar) {?>coloreado<?php } ?> <?php if($contadorFilas==$cuantosPalets) { ?>ultimaFila<?php } ?>">
            
                <td valign="middle" <?php echo $rowspanUno; ?> class="<?php if($contadorFilas==$cuantosPalets) { ?>ultimaFila<?php } ?>"><?php echo $item['PaletNumero']; ?></td>
                
                <?php if($gestionLineas) { ?>
                <td valign="middle" <?php echo $rowspanUno; ?> class="<?php if($contadorFilas==$cuantosPalets) { ?>ultimaFila<?php } ?>"><?php echo $item['PaletLineaTrabajo']; ?></td>
                <?php } ?>
                
                <?php
				if(is_array($productoPalets[0]['ProductoLotes'])) $cuantasCombinaciones=count($productoPalets[0]['ProductoLotes']); else $cuantasCombinaciones=1;
				if($cuantasCombinaciones>1) $rowspanDos='rowspan="'.$cuantasCombinaciones.'"';
				else $rowspanDos='';
				?> 
                <td valign="middle" class="noEsPrimero" <?php echo $rowspanDos; ?>><?php echo $productoPalets[0]['ProductoCodigo']; ?></td>
                <td valign="middle" <?php echo $rowspanDos; ?>><?php echo $productoPalets[0]['ProductoDescripcion']; ?></td>
                
                <td valign="middle"><?php echo $productoPalets[0]['productoCombinaciones'][0]['PaletProductoLote']; ?> / <?php echo fechaNacionalDesdeProxiumGuiones($productoPalets[0]['productoCombinaciones'][0]['PaletProductoCaducidad']); ?></td>
                <td valign="right"><?php echo formateaNumeroDecimal($productoPalets[0]['productoCombinaciones'][0]['PaletProductoStock'],true); ?></td>
                
                <?php $contadorFilas++; ?>
                
            </tr>
            
            <?php if($cuantasCombinaciones>1 ) { ?>
                    
            	<?php for($j=1;$j<$cuantasCombinaciones;$j++) { ?>
                        
                	<tr class="<?php if($impar) {?>coloreado<?php } ?>">
                    	<td valign="middle"><?php echo $productoPalets[0]['productoCombinaciones'][$j]['PaletProductoLote']; ?> / <?php echo fechaNacionalDesdeProxiumGuiones($productoPalets[0]['productoCombinaciones'][$j]['PaletProductoCaducidad']); ?></td>
                		<td valign="right"><?php echo formateaNumeroDecimal($productoPalets[0]['productoCombinaciones'][$j]['PaletProductoStock'],true); ?></td>
					</tr>
                    
                    <?php $contadorFilas++; ?>
                        
				<?php } ?>
                        
            <?php } ?>
            
            <?php if($cuantosProductos>1) { ?>
            
            	<?php for($i=1;$i<$cuantosProductos;$i++) { ?>
                
                	<tr class="<?php if($impar) {?>coloreado<?php } ?>">
                    	<?php
						if(is_array($productoPalets[$i]['productoCombinaciones'])) $cuantasCombinaciones=count($productoPalets[$i]['productoCombinaciones']); else $cuantasCombinaciones=1;
						if($cuantasCombinaciones>1) $rowspanDos='rowspan="'.$cuantasCombinaciones.'"';
						else $rowspanDos='';
						?>
                        <td valign="middle" class="noEsPrimero" <?php echo $rowspanDos; ?>><?php echo $productoPalets[$i]['ProductoCodigo']; ?></td>
                        <td valign="middle" <?php echo $rowspanDos; ?>><?php echo $productoPalets[$i]['ProductoDescripcion']; ?></td>
                        
                        <td valign="middle"  class="borrarBordeDerecho"><?php echo $productoPalets[$i]['productoCombinaciones'][0]['PaletProductoLote']; ?> / <?php echo fechaNacionalDesdeProxiumGuiones($productoPalets[$i]['productoCombinaciones'][0]['PaletProductoCaducidad']); ?></td>
                		<td valign="right"  class="borrarBordeDerecho"><?php echo formateaNumeroDecimal($productoPalets[$i]['productoCombinaciones'][0]['PaletProductoStock'],true); ?></td>
                        
                        <?php $contadorFilas++; ?>
                        
                    </tr>
                    
                    <?php if(is_array($productoPalets[$i]['productoCombinaciones'])) $cuantasCombinaciones=count($productoPalets[$i]['productoCombinaciones']); else $cuantasCombinaciones=1; ?>
                    
                    <?php if($cuantasCombinaciones>1 ) { ?>
                    
                    	<?php for($j=1;$j<$cuantasCombinaciones;$j++) { ?>
                        
                        	<tr class="<?php if($impar) {?>coloreado<?php } ?>">
                            	<td valign="middle" class="borrarBordeDerecho noEsPrimero"><?php echo $productoPalets[$i]['productoCombinaciones'][$j]['PaletProductoLote']; ?> / <?php echo fechaNacionalDesdeProxiumGuiones($productoPalets[$i]['productoCombinaciones'][$j]['PaletProductoCaducidad']); ?></td>
                				<td valign="right" class="borrarBordeDerecho"><?php echo formateaNumeroDecimal($productoPalets[$i]['productoCombinaciones'][$j]['PaletProductoStock'],true); ?></td>
                            </tr>
                            
                            <?php $contadorFilas++; ?>
                        
                        <?php } ?>
                        
                    <?php } ?>
                
                <?php } ?>
            
            <?php } ?>
            
            <?php $impar=!$impar; ?>
        
        <?php } ?>
        
	</table>
    
<?php } else { ?>
    
    <p><em>Todavía hay Palets activos para esta Transformación.</em></p>
    
    <?php $avisoDesactivarPalet=true; ?>
    
<?php } ?>


	<?php if(is_array($_SESSION['operacion']['ProductosDefectuosos'])) $cuantosDefectuosos=count($_SESSION['operacion']['ProductosDefectuosos']); else $cuantosDefectuosos=0; ?>
    
    <?php if($cuantosDefectuosos>0) { ?>
    
    <p><img src="<?php echo DIR_IMAGENES; ?>/transformaciones/producto-no-ok.png" width="52" height="52" style="vertical-align:middle;margin-right:10px"/><strong>Productos defectuosos</strong></p>
    
    
    <table class="tablaFormateada2022 anchoMaximo" style="margin:0 auto">
		
        <?php
		
		$mostrarRegimen=false;
		foreach($_SESSION['operacion']['ProductosDefectuosos'] as $item) if($item['ProductoGestionRegimen']=='S') $mostrarRegimen=true;
		
		?>
    
		<tr>
        	<?php if($mostrarGestion) { ?>
            <th>Gestión</th>
            <?php } ?>
            
			<th>Código</th>
			<th>Descripción</th>
            
            <?php if($mostrarRegimen) { ?>
        	<th>Régimen</th>
            <?php } ?>
            
			<th>Lote / Caducidad</th>
            <th>Cantidad</th> 
		</tr>
        
        
        <?php foreach($_SESSION['operacion']['ProductosDefectuosos'] as $defectuoso) { ?>
        
        	<?php
			
        	$tempCombinaciones=arreglaArrayPXMobileProxiumResult($defectuoso['ProductoPalets']['PXMobileProxiumResult']['PaletLotes']);
			
			$combinaciones=array();
			foreach($tempCombinaciones as $item2) $combinaciones[]=$item2;
			
			$cuantasCombinaciones=count($combinaciones);
			
			if($cuantasCombinaciones>1) $rowspanUno='rowspan="'.$cuantasCombinaciones.'"';
			else $rowspanUno='';
			
			?>
        
        	<tr class="<?php if($impar) {?>coloreado<?php } ?> <?php if($cuantosPalets==1) { ?>ultimaFila<?php } ?>">
                
                <?php if($mostrarGestion) { ?>
                <td valign="middle" <?php echo $rowspanUno; ?>><?php echo $defectuoso['ProductoGestion']; ?></td>
                <?php } ?>
                
                <td valign="middle" <?php echo $rowspanUno; ?>><?php echo $defectuoso['ProductoCodigo']; ?></td>
                <td valign="middle" <?php echo $rowspanUno; ?>><?php echo $defectuoso['ProductoDescripcion']; ?></td>
                
                <?php if($mostrarRegimen) { ?>
                <td valign="middle" <?php echo $rowspanUno; ?>><?php echo $defectuoso['ProductoRegimen']; ?></td>
                <?php } ?>
                
                <td valign="middle"><?php echo $combinaciones[0]['PaletProductoLote'].' / '.fechaNacionalDesdeProxiumGuiones($combinaciones[0]['PaletProductoCaducidad']); ?></td>
                <td valign="right"><?php echo $combinaciones[0]['PaletProductoStock']; ?></td>
                
            </tr>
            
             <?php if($cuantasCombinaciones>1 ) { ?>
                    
            	<?php for($j=1;$j<$cuantasCombinaciones;$j++) { ?>
                        
                	<tr class="<?php if($impar) {?>coloreado<?php } ?>">
                    	<td valign="middle"><?php echo $combinaciones[$j]['PaletProductoLote'].' / '.fechaNacionalDesdeProxiumGuiones($combinaciones[$j]['PaletProductoCaducidad']); ?></td>
                        <td valign="right"><?php echo $combinaciones[$j]['PaletProductoStock']; ?></td>
					</tr>
                        
				<?php } ?>
                        
            <?php } ?>
            
            <?php $impar=!$impar; ?>
        
        <?php } ?>
        
	</table>
    
     <?php } //Fin if hay defectuosos ?>
    
    
    
    <div id="popupActivarPalet" class="popup" style="display:none">
		<div class="popupContenido" style="width:500px">
            <h2 style="margin-top:30px"><span id="activarPaletTitulo"></span> Palet</h2>
            <p><img src="<?php echo DIR_IMAGENES; ?>/teclado.png" alt="Mostrar teclado" class="iconoTeclado" id="iconoTecladoActivarPalet" />
                <input name="activarPalet" type="text" class="campo mayusculas" id="activarPalet" size="24" autocomplete="off" style="width:300px"/>
                <img src="<?php echo DIR_IMAGENES; ?>/x.png" alt="Borrar" class="boton-x" id="borrarActivarPalet" />
             </p>
             <input type="hidden" name="activarPaletValor" id="activarPaletValor" />
             <p><input name="botonActivarPaletsCerrar" id="botonActivarPaletsCerrar" type="button" value="Cerrar" class="boton reducido"/></p>
    	</div>
	</div>
    
    <script>
	
		function abreActivarPalets(valor) {
			if(valor) {
				$('#activarPaletTitulo').html('Activar');
				$('#activarPaletValor').val('S');
			}
			else {
				$('#activarPaletTitulo').html('Desactivar');
				$('#activarPaletValor').val('N');
			}
			$('#activarPalet').val('');
			$('#activarPalet').removeClass('error');
			$('#popupActivarPalet').show();
			$('#activarPalet').focus();
		}
		
		
	
		function gestionAutocontrolesCalidad(){
		
			<?php if($_SESSION['operacion']['EstadoProduccion']!='Pendiente') { ?>
			
				<?php if($_SESSION['parametrosSGA']['GestionAutocontrolesCalidad']=='S') { ?>
				if( ! $('#proximoControlCalidad').val() ) {
					return false;
				}
				else {
					alert('ATENCION: No puedes realizar ninguna operación<br>porque tienes un autocontrol de calidad pendiente.',null,'advertencia')
					return true;
				}
				<?php } else { ?>
				return false;
				<?php } ?>
			
			<?php } else { ?>
			return false;
			<?php } ?>
		
		}

	
		$(document).ready(function() {
		
			$('#botonSgteProducto').on('click',function(){
			
				if( !gestionAutocontrolesCalidad() ) {
			
				<?php if($playPasaPorLimpiezaInicio) { ?>
				
					console.log('Traza 1');
				
					var url=construyeUrlAutocontrolCalidad('','limpieza','INICIO');
			
					$('#popupCargando').show();
					window.location=url;
					
				<?php } else if($playPasaPorLimpiezaFinalizacion) { ?>
				
					console.log('Traza 2');
				
					var url=construyeUrlAutocontrolCalidad('','limpieza','FIN');
					
					console.log(url);
			
					$('#popupCargando').show();
					window.location=url;
				
				<?php } else { ?>
			
					<?php if(!$_SESSION['operacion']['todosProductosUtilizarTienenPalets']) { ?>
					
					console.log('Traza 3');
					
					alert('Atención: No se puede comenzar el proceso de Transformación<br>ya que hay productos que no tienen palets activos.',null,'advertencia');
					
					<?php } else { ?>
					
					console.log('Traza 4');
				
					$('#popupCargando').show();
					window.location='operacion-logistica-transformacion-cierre.php';
					
					<?php } ?>
				
				<?php } ?>
				
				}
				
			});
		
			$('#botonActivarPalets').on('click',function(){
			
				if( !gestionAutocontrolesCalidad() ) {
			
					<?php if($avisoActivarPalet) { ?>
					
					alert('Atención: No se pueden activar Palets<br>ya que no consta ninguno cerrado desde Picking.',null,'advertencia');
					
					<?php } else { ?>
				
					abreActivarPalets(true);
					
					<?php } ?>
				
				}
				
			});
			
			$('#botonDesactivarPalets').on('click',function(){
			
				if( !gestionAutocontrolesCalidad() ) {
			
					<?php if($avisoDesactivarPalet) { ?>
					
					alert('Atención: No se pueden desactivar Palets<br>ya que no consta ninguno activado.',null,'advertencia');
					
					<?php } else { ?>
				
					abreActivarPalets(false);
					
					<?php } ?>
					
				}
				
			});
			
			$('#iconoTecladoActivarPalet').on('click',function(){
				
				$('#teclado').show();
				$('#valor').val( $('#activarPalet').val() );
				$('#valorOculto').val( $('#activarPalet').val() );
				$('#enter').attr('campoValor','activarPalet');
				$('#enter').attr('forzarEnter','si');
				
			});
			
			$('#borrarActivarPalet').on('click',function(){
				
				$('#activarPalet').removeClass('error');
				$('#activarPalet').val('');
				$('#activarPalet').focus();
				
			});
			
			$('#activarPalet').on('change',function(e){
				
				e.preventDefault();
				$('#popupCargando').show();
				
				$.post( "<?php echo $rutaHtml; ?>/contenidos/transformacion-activar-palet.php", { orden : '<?php echo $_SESSION['operacion']['NumOperacion']; ?>', palet: $('#activarPalet').val() , activar : $('#activarPaletValor').val() , linea : '<?php echo $_SESSION['transformacion_lineaTrabajo_seleccionada']; ?>' } )
				.done(function(data) {
					$('#popupCargando').hide();
					var resultado=data.split('#');
					if(resultado[0]=='1') {
						alert('ERROR: '+resultado[1],null,'error')
						.done(function(){
							$('#activarPalet').addClass('error');
						});
					}
					else {
						$('#activarPalet').removeClass('error');
						$('#activarPalet').val('');
						$('#activarPalet').focus();
					}
					
				});
				
			});
			
			
			// CIERRE DE PALETS
			
			$('#cierrePaletHora').on('click',function(){
				
				$('#teclado').show();
				$('#valor').val( $('#cierrePaletHora').val() );
				$('#valorOculto').val( $('#cierrePaletHora').val() );
				$('#enter').attr('campoValor','cierrePaletHora');
				$('#enter').attr('forzarEnter','no');
				
			});
			
			$('#cierrePaletFecha').on('click',function(){
				
				$('#calendario').show();
				$('#valorCalendario').val( $(this).val() );
				deconstruyeFecha();
				$('#enterCalendario').attr('campoValor', 'cierrePaletFecha' );
				$('#enterCalendario').attr('forzarEnter','no');
				
			});
			
			$('#botonActivarPaletsCerrar').on('click',function(){
				
				$('#popupCargando').show();
				window.location.reload();
				
			});
			
			$('#botonPopupCerrarPaletConfirmar').on('click',function(){
			
				palet=$('#popupCerrarPaletNumpalet').val();
				
				fecha=$('#cierrePaletFecha').val();
				hora=$('#cierrePaletHora').val();
				
				lineaTrabajo=$('#popupCerrarPaletLineaTrabajo').val();
				turnoTrabajo=$('#popupCerrarPaletTurnoTrabajo').val();
				
				if(!fecha || !hora || !lineaTrabajo || !turnoTrabajo) {
					alert('Error: Debes informar todos los datos de cierre.',null,'error');
				}
				<?php if($asociarSSCC) { ?>
				else if( $('#SSCC').val()=='') {
					alert('Atención: Debes informar el SSCC asociado a este palet para cerrarlo.',$('#SSCC'),'error');
				}
				<?php } ?>
				else {
				
					$('#popupCargando').show();
					
					$.post( "<?php echo $rutaHtml; ?>/contenidos/transformacion-cerrar-palet.php<?php if($_GET['traza']=='si') { ?>?traza=si<?php } ?>", { 'palet' : palet , 'cerrar' : 'S' , 'lineaTrabajo' : lineaTrabajo , 'turnoTrabajo' : turnoTrabajo , 'fecha' : fecha , 'hora' : hora <?php if($asociarSSCC) { ?> , 'SSCC' : $('#SSCC').val() <?php } ?> } )
					.done(function(data) {
						
						$('#popupCargando').hide();
						
						//alert(data);
						
						var resultado=data.split('#');
							
						if(resultado[0]=='1') {
							alert('ERROR: '+resultado[1],null,'error');
						}
						else {
							$('#popupCargando').show();
							window.location=window.location;
							/*
							$('#imagenPaletCerrado-'+palet).show();
							$('#botonPaletCerrar-'+palet).attr('value','Abrir');
							$('#botonPaletCerrar-'+palet).attr('accion','abrir');
							*/
						}
						
						$('#popupCierrePalet').hide();
						
					});
					
				}
			
			});
			
			$('#botonPopupCerrarPaletCancelar').on('click',function(){
			
				$('#popupCierrePalet').hide();
				
			});
			
			$('.botonCerrarPalet').on('click',function(){
			
				var palet=$(this).attr('palet');
				var accion=$(this).attr('accion');
				
				if(accion=='cerrar') {
					
					$('#popupCerrarPaletNumpalet').val( palet );
					$('#numPaletCierreEtiqueta').html( palet );
					
					<?php if($asociarSSCC) { ?>
					var sscc=$(this).attr('sscc');
					$('#SSCC').val( sscc );
					<?php } ?>
					
					//sacamos la ultima linea para ese palet
					var lineaPredeterminada;
					$('.columnaLineaCierre').each(function(){
						if( $(this).attr('palet')==palet ) lineaPredeterminada=$(this).attr('valor');
					});
					$('#popupCerrarPaletLineaTrabajo').val( lineaPredeterminada );
					
					//sacamos el ultimo turno para ese palet
					var turnoPredeterminado;
					$('.columnaTurnoCierre').each(function(){
						if( $(this).attr('palet')==palet ) turnoPredeterminado=$(this).attr('valor');
					});
					$('#popupCerrarPaletTurnoTrabajo').val( turnoPredeterminado );
					
					//sacamos la ultima fecha para ese palet
					var fechaPredeterminada;
					$('.columnaFechaCierre').each(function(){
						if( $(this).attr('palet')==palet ) fechaPredeterminada=$(this).html();
					});
					$('#cierrePaletFecha').val( fechaPredeterminada );
					
					//sacamos la ultima hora para ese palet
					var horaPredeterminada;
					$('.columnaHoraCierre').each(function(){
						if( $(this).attr('palet')==palet ) horaPredeterminada=$(this).html();
					});
					$('#cierrePaletHora').val( horaPredeterminada );
					
					$('#popupCierrePalet').show();
					
					<?php if($asociarSSCC) { ?>
					$('#SSCC').focus();
					<?php } ?>
					
				}
				else {
				
					$('#popupCargando').show();
					
					$.post( "<?php echo $rutaHtml; ?>/contenidos/transformacion-cerrar-palet.php<?php if($_GET['traza']=='si') { ?>?traza=si<?php } ?>", { 'palet' : palet , 'cerrar' : 'N' } )
					.done(function(data) {
					
						$('#popupCargando').hide();
						
						var resultado=data.split('#');
						
						if(resultado[0]=='1') {
							alert('ERROR: '+resultado[1],null,'error');
						}
						else {
							$('#popupCargando').show();
							var direccion='operacion-logistica-transformacion.php';
							window.location=direccion+'?scroll=bloqueProductosObtenidos';
							/*
							$('#imagenPaletCerrado-'+palet).hide();
							$('#botonPaletCerrar-'+palet).attr('value','Cerrar');
							$('#botonPaletCerrar-'+palet).attr('accion','cerrar');
							*/
						}
						
					});
				}
			
				
			
			});
			
			//Fin rutinas cierre palets
		
		});
	
	</script>
    
    
    
    
    
    <?php if(is_array($autoControlesCalidad) && count($autoControlesCalidad)>0) { ?>
    
    <p id="bloqueAutocontroles"><img src="<?php echo DIR_IMAGENES; ?>/transformaciones/calidad.png" width="52" height="52" style="vertical-align:middle;margin-right:10px"/><strong>Autocontroles de calidad realizados</strong></p>
    
    <table class="tablaFormateada" style="margin:0 auto">
    
    	<tr>
        	<th colspan="7">Autocontrol realizado</th>
			<th colspan="4">Control de calidad</th>
		</tr>
        
        <tr style="font-size:0.8em">
        
        	<td>Fecha</td>
            <td>Hora</td>
            <td>Línea</td>
            <td>Turno</td>
            <td>Usuario</td>
            <td>Resultado</td>
            <td></td>
            
            <td>Fecha</td>
            <td>Hora</td>
            <td>Resultado</td>
            <td>Usuario</td>

        </tr>
        
        <?php foreach($autoControlesCalidad as $autocontrol) { ?>
        
        	<tr ordinal="<?php echo $autocontrol['CLinOrdinal']; ?>">
        
                <td class="lineaAutocontrolCalidad clicable"><?php echo fechaNacional(fechaDesdeProxium($autocontrol['CLinFecha'])); ?></td>
                <td class="lineaAutocontrolCalidad clicable"><?php echo $autocontrol['CLinHora']; ?></td>
                <td class="lineaAutocontrolCalidad clicable"><?php echo $autocontrol['CLinLineaDescripcion']; ?></td>
                <td class="lineaAutocontrolCalidad clicable"><?php echo $autocontrol['CLinTurnoDescripcion']; ?></td>
                <td class="lineaAutocontrolCalidad clicable"><?php echo $autocontrol['CLinUsuario']; ?></td>
				<td class="lineaAutocontrolCalidad clicable"><?php echo $autocontrol['CLinResultado']; ?></td>
                <td class="lineaAutocontrolCalidad clicable"><img src="img_nx/palet-info.png" width="40" height="40" /></td>
                
                <td><?php echo fechaNacional(fechaDesdeProxium($autocontrol['CCalFecha'])); ?></td>
                <td><?php echo $autocontrol['CCalHora']; ?></td>
				<td><?php echo $autocontrol['CCalResultado']; ?></td>
                <td><?php echo $autocontrol['CCalUsuario']; ?></td>
    
            </tr>
        
        <?php } ?>
    
    </table>
    
    <?php } ?>
    
    
    
    
	
	<?php if($bloqueoProxium) { ?>
    	<p class="error"><img src="<?php echo DIR_IMAGENES; ?>/iconos/error.png" width="50" height="50" /><br /><?php echo $resultado[0]['BloqueoProxium']; ?></p>
    <?php } else if($estadoIniciada) { ?>
    	<p>Esta orden de transformación está en curso.</p>
	<?php } ?>
	

	<?php
	
	/////////////// GESTIÓN DE FICHAJES ////////////////
	
	if($controlFichajes) {
	
		?>
		<hr />
		
		<p><img src="<?php echo DIR_IMAGENES; ?>/operarios.png" width="100" height="68" /></p>
		
		<h3><strong>OPERARIOS ASOCIADOS A ESTA OPERACIÓN:</strong></h3>
		<?php
		
		if(is_array($trabajadores) && count($trabajadores)>0) {
		
			?>
			<table class="tablaFormateada anchoMaximo">
			<tr>
				<th>Nº Operario</th>
				<th>Nombre</th>
				<th width="230">Otras Ordenes</th>
				<th>Desasociar</th>
			</tr>
			<?php
			foreach($trabajadores as $trabajador) {
			
				$fichajeIniciado=false;
			
				$otrasOrdenes=arreglaArrayPXMobileProxiumResult($trabajador['OtrasOrdenes']);
				foreach($otrasOrdenes as $otraOrden) if($otraOrden['FichajeIniciado']=='S') { $fichajeIniciado=true; }
	
				?>
				<tr style="height:45px" <?php if($fichajeIniciado) { ?>class="rojo"<?php } ?>>
					<td valign="top"><?php echo $trabajador['Trabajador']; ?></td>
					<td valign="top"><?php echo $trabajador['Nombre']; ?></td>
					<td valign="top">
					<?php
					foreach($otrasOrdenes as $otraOrden) {
						?>
						<div style="width:230px;clear:both;overflow:hidden">
						<div style="width:115px;height:30px;float:left;text-align:left"><?php echo $otraOrden['TipoOrden']; ?></div><div style="width:85px;height:30px;float:left;text-align:left"><?php echo $otraOrden['NumOrden']; ?></div><div style="width:30px;height:30px;float:left"><?php if($otraOrden['FichajeIniciado']=='S') { ?><img src="<?php echo DIR_IMAGENES; ?>/en-proceso.gif" width="25" height="25" /><?php } ?></div>
						</div>
						<?php
					}
					?>
					</td><td>
					<?php if(! ($estadoIniciada && $unSoloTrabajador) ) { ?>
					<img class="desasociarTrabajador clicable" trabajador="<?php echo $trabajador['Trabajador']; ?>" nombre="<?php echo $trabajador['Nombre']; ?>" src="<?php echo DIR_IMAGENES; ?>/x-ajustado.png" width="18" height="18" />
					<?php } ?>
				</tr>
				<?php
			}
			?>
			</table>
			<?php
		}
		else {
			?>
			<p>No hay ningún trabajador asociado a la operación.</p><?php
		}
		
		?>
		<p><input type="button" id="botonListadoTrabajadores" name="botonListadoTrabajadores" value="Asociar trabajadores" class="boton"/></p>
		
		
	<?php } // FIN si hay fichajes?>    
		

		
		
		
		
<script>
		
		$(document).ready(function() {
			
			$('#botonListadoTrabajadores').on('click',function(e){
				e.preventDefault();
				$('#popupCargando').show();
				$.post( "<?php echo $rutaHtml; ?>/contenidos/fichajes-listado-trabajadores-por-puesto.php<?php if($_GET['traza']=='si') { ?>?traza=si<?php } ?>" , { 'orden' : '<?php echo $operacion; ?>' } )
				.done(function(data){
					$('#popupTrabajadoresDetalle').html(data);
					$('#popupTrabajadores').show();
					$('#popupCargando').hide();
				});
			});
			
			$('.desasociarTrabajador').on('click',function(e){
				
				e.preventDefault();
				
				<?php if( $estadoIniciada && $unSoloTrabajador ) { ?>
					alert('No puedes desasociar el único trabajador mientras la Operación esté en ejecución.');
				<?php } else { ?>
				
				var trabajador=$(this).attr('trabajador');
				var nombre=$(this).attr('nombre');
				
				confirm('¿Deseas desasociar de esta Orden a '+nombre+'?')
				.done(function() {
				
					$('#popupCargando').show();
					$.post( "<?php echo $rutaHtml; ?>/contenidos/fichajes-desasociar-trabajador.php<?php if($_GET['traza']=='si') { ?>?traza=si<?php } ?>" , { 'orden' : '<?php echo $operacion; ?>' , 'trabajador' : trabajador } )
					.done(function(data){
						$('#popupCargando').hide();
						alert(nombre+'<br>Ha sido desasociado/a de esta Orden.')
						.done(function(){
							$('#popupCargando').show();
							window.location='operacion-logistica.php';
						});
					});
				
				});
				
				<?php } ?>
				
			});
			
		});
		
		</script>
		
		<?php
	
	
	
	
	?> 
    
    
    <div id="popupLimpieza" class="popup" style="display:none" >
		<div class="popupContenido" style="padding:20px 40px 20px 40px">
        
        	<p><img src="<?php echo DIR_IMAGENES; ?>/transformaciones/limpieza.png" width="52" height="52" style="vertical-align:middle;margin-right:10px"/><strong>Control de limpieza en linea</strong></p>
            
            
			<table class="tablaFormateada" style="margin:0 auto">
    
            <tr>
                <th colspan="7">Autocontrol realizado</th>
                <th colspan="4">Control de calidad</th>
            </tr>
            
            <tr style="font-size:0.8em">
            
            <td></td>
            
            	<td>Fecha</td>
                <td>Hora</td>
                <td>Línea</td>
                <td>Turno</td>
                <td>Usuario</td>
                <td></td>
                
                <td>Fecha</td>
                <td>Hora</td>
                <td>Resultado</td>
                <td>Usuario</td>
    
            </tr>
            
            <?php //if($_SESSION['operacion']['Limpiezas']['INICIO']) { ?>
            
            <tr ordinal="INICIO">
            
            	<td class="lineaLimpieza clicable">Limpieza al inicio</td>
            
            	<td class="lineaLimpieza clicable"><?php echo fechaNacional(fechaDesdeProxium($_SESSION['operacion']['Limpiezas']['INICIO']['CLinFecha'])); ?></td>
                <td class="lineaLimpieza clicable"><?php echo $_SESSION['operacion']['Limpiezas']['INICIO']['CLinHora']; ?></td>
                <td class="lineaLimpieza clicable"><?php echo $_SESSION['operacion']['Limpiezas']['INICIO']['CLinLineaDescripcion']; ?></td>
                <td class="lineaLimpieza clicable"><?php echo $_SESSION['operacion']['Limpiezas']['INICIO']['CLinTurnoDescripcion']; ?></td>
                <td class="lineaLimpieza clicable"><?php echo $_SESSION['operacion']['Limpiezas']['INICIO']['CLinUsuario']; ?></td>
                <td class="lineaLimpieza clicable"><?php if($_SESSION['operacion']['Limpiezas']['INICIO']['CLinHora']) { ?><img src="img_nx/palet-info.png" width="40" height="40" /><?php } ?></td>
                    
                <td><?php echo fechaNacional(fechaDesdeProxium($_SESSION['operacion']['Limpiezas']['INICIO']['CCalFecha'])); ?></td>
                <td><?php echo $_SESSION['operacion']['Limpiezas']['INICIO']['CCalHora']; ?></td>
                <td><?php echo $_SESSION['operacion']['Limpiezas']['INICIO']['CCalResultado']; ?></td>
                <td><?php echo $_SESSION['operacion']['Limpiezas']['INICIO']['CCalUsuario']; ?></td>
        
            </tr>
            
            <?php //} ?>
            
             <?php //if($_SESSION['operacion']['Limpiezas']['FIN']) { ?>
            
            <tr ordinal="FIN">
            
            	<td class="lineaLimpieza clicable">Limpieza al fin</td>
            
            	<td class="lineaLimpieza clicable"><?php echo fechaNacional(fechaDesdeProxium($_SESSION['operacion']['Limpiezas']['FIN']['CLinFecha'])); ?></td>
                <td class="lineaLimpieza clicable"><?php echo $_SESSION['operacion']['Limpiezas']['FIN']['CLinHora']; ?></td>
                <td class="lineaLimpieza clicable"><?php echo $_SESSION['operacion']['Limpiezas']['FIN']['CLinLineaDescripcion']; ?></td>
                <td class="lineaLimpieza clicable"><?php echo $_SESSION['operacion']['Limpiezas']['FIN']['CLinTurnoDescripcion']; ?></td>
                <td class="lineaLimpieza clicable"><?php echo $_SESSION['operacion']['Limpiezas']['FIN']['CLinUsuario']; ?></td>
                <td class="lineaLimpieza clicable"><?php if( (int)$_SESSION['operacion']['ProductoObtener']['ProductoCantidadPendiente'] <= $cantidadProductosParaControlarLimpiezaFinalizacion ) { ?><img src="img_nx/palet-info.png" width="40" height="40" /><?php } ?></td>
                    
                <td><?php echo fechaNacional(fechaDesdeProxium($_SESSION['operacion']['Limpiezas']['FIN']['CCalFecha'])); ?></td>
                <td><?php echo $_SESSION['operacion']['Limpiezas']['FIN']['CCalHora']; ?></td>
                <td><?php echo $_SESSION['operacion']['Limpiezas']['FIN']['CCalResultado']; ?></td>
                <td><?php echo $_SESSION['operacion']['Limpiezas']['FIN']['CCalUsuario']; ?></td>
        
            </tr>
            
            <?php //} ?>
    
            </table>
            
            <p><input type="button" name="botonCerrarPopupLimpieza" id="botonCerrarPopupLimpieza" value="Cerrar" class="boton reducido"/></p>

      </div>
	</div>
	
	
	
<script>
	
	
	
	$(document).ready(function() {
	
	
		$('#tecladoSSCC').on('click',function(){
			
			$('#teclado').show();
			$('#valor').val( $('#SSCC').val() );
			$('#valorOculto').val( $('#SSCC').val() );
			$('#enter').attr('campoValor','SSCC');
			$('#enter').attr('forzarEnter','no');
			
		});
		
		$('#borrarSSCC').on('click',function(){
			
			$('#SSCC').val('');
			$('#SSCC').focus();
			
		});
	
		$('.refrescar').on("click",function(e) {
			$('#popupCargando').show();
			window.location.reload();
		});
		
	
		$('#botonVolver').on("click",function(e){
			e.preventDefault();
			$('#popupCargando').show();
			window.location='operaciones-logisticas.php';
		});
		
		
		//15-06-2023 autocontroles de calidad
		
		$('.lineaAutocontrolCalidad').on("click",function(e){
		
			e.preventDefault();
			
			var ordinal=$(this).parent().attr('ordinal');
			var url=construyeUrlAutocontrolCalidad(ordinal,'autocontrol');
			
			$('#popupCargando').show();
			window.location=url;
			
		});
		
		$('#botonAutocontrolCalidad').on("click",function(e){
		
			e.preventDefault();
			
			var url=construyeUrlAutocontrolCalidad('','autocontrol');
			
			$('#popupCargando').show();
			window.location=url;
			
		});
		
		$('#botonCerrarPopupLimpieza').on("click",function(e){
			e.preventDefault();
			$('#popupLimpieza').hide();
		});
		
		/*
		$('.lineaLimpieza').on("click",function(e){
		
			e.preventDefault();
			
			var cantidadPendiente=<?php echo $_SESSION['operacion']['ProductoObtener']['ProductoCantidadPendiente']; ?>;
			
			var ordinal=$(this).parent().attr('ordinal');
			var url=construyeUrlAutocontrolCalidad(ordinal,'limpieza');
			
			if( !(ordinal=='FIN' && cantidadPendiente>0) ) {
				$('#popupCargando').show();
				window.location=url;
			}
			
		});
		*/
		
		$('#botonLimpieza').on("click",function(e){
		
			e.preventDefault();
			
			$('#popupLimpieza').show();
		
		});
		
		/////////////////////////////////////////////////////////////////
		//14-12-2023 control de inicio y fin de limpieza = fin de proceso
		$('#botonInicioProceso').on("click",function(e){
		
			e.preventDefault();
			
			<?php if($FichajesActivodEnTransformacion && !$hayFichajesEnCurso) { ?>
				
				alert('Antes de comenzar la operativa, tienes que haber comenzado el fichaje.',null,'advertencia')
				.done(function(){
					$('#botonFichajes').trigger('click');
				});
			
			<?php } else { ?>
			
				var url=construyeUrlAutocontrolCalidad('','limpieza','INICIO');
				
				$('#popupCargando').show();
				window.location=url;
			
			<?php } ?>
		
		});
		$('#botonFinProceso').on("click",function(e){
		
			if( !gestionAutocontrolesCalidad() ) {
		
				e.preventDefault();
				
				var url=construyeUrlAutocontrolCalidad('','limpieza','FIN');
				
				$('#popupCargando').show();
				window.location=url;
			
			}
		
		});
		/////////////////////////////////////////////////////////////////
		
		
		
		
		
		//////////////// FICHAJES 18-12-2025 SERMASA ///////////////////
		
		$('#botonFichajes').on('click',function(){
		
			$('#popupCargando').show();
			
			/*
			
			$.post('<?php echo $rutaHtml; ?>/contenidos/fichajes.php' , { 'orden' : '<?php echo $_SESSION['operacion']['NumOperacion']; ?>' ,'turnoNombre' : '<?php echo $_SESSION['transformacion_turnoTrabajo_seleccionado_nombre']; ?>', 'lineaNombre' : '<?php echo $_SESSION['transformacion_lineaTrabajo_seleccionada_nombre']; ?>' , 'fichajesOrden' : '<?php echo $listaFichajesOrdenCodificada; ?>' })
			.done(function(data) {
			
				$('#popupCargando').hide();
			
				$('#popupFichajesContenido').html(data);
				$('#popupFichajes').show();
				$('#popupFichajesContenido').show();
				
				var posicion=$(document).scrollTop();
				$('#popupFichajesContenido').offset({ top: posicion+20 });
			});
			
			*/
			<?php
			$url=$_SERVER['REQUEST_URI'];
			$partes=explode('?',$url);
			$_SESSION['operacion']['parametrosActuales']=$partes[1];
			?>
			
			let enlace='';
			enlace+='fichajes-operarios.php?procedencia=transformacion&actividad=PROD&tipoOperacion=TRAN&operacion=<?php echo $_SESSION['operacion']['NumOperacion']; ?>&turno=<?php echo $_SESSION['transformacion_turnoTrabajo_seleccionado']; ?>&linea=<?php echo $_SESSION['transformacion_lineaTrabajo_seleccionada']; ?>&turnoNombre=<?php echo $_SESSION['transformacion_turnoTrabajo_seleccionado_nombre']; ?>&lineaNombre=<?php echo $_SESSION['transformacion_lineaTrabajo_seleccionada_nombre']; ?>';
			
			<?php if(!$hayFichajesEnCurso) { ?>
				enlace+='&proceso=INICIO'; //Esto condicionado, o solo CONSULTA
			<?php } else { //15-04-2026 TAREA 74309?>
				<?php if( $_SESSION['operacion']['EstadoProduccion']!='Iniciado' || ( $_SESSION['operacion']['EstadoProduccion']=='Iniciado' && !$_SESSION['operacion']['todosProductosUtilizarTienenPalets'] ) ) { ?>
					enlace+='&proceso=FIN';
				<?php } ?>
			<?php } ?>
			
			window.location=enlace;
						
		});
		
		$(document).on('click','#botonCerrarFichajes',function(){
				
			$('#popupFichajesContenido').html();
			$('#popupFichajes').hide();
			$('#popupFichajesContenido').hide();
		
		});
		
		/////////// Fin fichajes 18-12-2025 SERMASA ///////////////////
		
		
		<?php if($scroll) { ?>
		
		var posicion = $('#<?php echo $scroll; ?>').offset().top;
		$('html, body').animate({ scrollTop: posicion-200 }, 1500);
		
		<?php } ?>
		
		<?php if($_SESSION['limpiezaProcesarPlay'] && $playPasaPorLimpiezaFinalizacion) { //Esto sirve para controlar la autoredireccion cuando se ha leido todo ?>
			<?php unset($_SESSION['limpiezaProcesarPlay']); ?>
			//$('#popupCargando').show();
			//$('#botonSgteProducto').trigger('click');
		<?php } ?>
		
		<?php if($playPasaPorLimpiezaFinalizacion) { //Esto sirve para controlar cuando se ha leido todo ?>
		confirm('Atención: Se ha completado toda la cantidad de pendiente de transformación.<br><br>Queda pendiente de realizar el <strong>control de limpieza</strong> al fin.','advertencia')
		.done(function(){
			$('#popupCargando').show();
			$('#botonSgteProducto').trigger('click');
		});
		<?php } ?>
		
		<?php if(!$playPasaPorLimpiezaFinalizacion && $soloquedaPendienteInspeccionCalidad && $_GET['procedenciaListado']) { ?>
		alert('Se ha completado el proceso de transformación<br>y no queda ningún autocontrol ni limpieza por realizar.<br><br>Solo queda pendiente la revisión por parte de Calidad.',null,'ok');
		<?php $deshabilitarBotonAutocontrolCalidad=true; ?>
		<?php } ?>
		
		
		
	});
	
	</script>

	<?php

	$ocultarMenuCompleto=false;
}
else {

	$valores=explode('#',$resultado[0]['Error']);
	?>
    <script>
		alert('<?php echo $valores[1]; ?>',null,'error')
		.done(function(){
			$('#popupCargando').show();
			window.location='operaciones-logisticas.php';
		});
	</script>
    <?php
	$ocultarMenuCompleto=true;
}



$desactivarVolver=true;
if(!$ocultarMenuCompleto) {

	include($rutaPhp.$rutaHtml.'/maqueta/menu-orden-transformacion.php');
	
	if($autoControlesCalidadProgramados) {
		//$esperarCarga=true;
		?>
        <script>
		$(document).ready(function() {
			calculaDiferenciaHoraPrevista();
		});
		</script>
    	<?php
	}
	
}

include($rutaPhp.$rutaHtml.'/maqueta/abajo.php');
?>